commit 8daf1de02f8ac7e05b4788dcd6a209ef06e6e03a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 11 11:20:11 2016 -0400

    1.40.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a40771dec851ea338f2113b459bc2c9983ac386d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 26 09:36:00 2016 -0700

    Bug 764089 - PangoWin32FontMap Memory Leak

    Add finalizers to PangoWin32FontMap

    Patch from Geoffrey Yerem.

    Part of https://bugzilla.gnome.org/show_bug.cgi?id=764089

 pango/pangowin32-fontmap.c | 56
 +++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 53 insertions(+), 3 deletions(-)

commit dd76b439506c650aa48ae160811c5ec4b8b7447d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 26 09:23:38 2016 -0700

    Use $PKG_CONFIG instead of pkg-config consistently

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=764191

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d974f879bacc4f2a09b08997227c90b4348961a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 22 18:21:54 2016 -0400

    1.40.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 70496056909faa41b368dbbe22cd144eaa07d22b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 11 18:21:15 2016 -0800

    Don't treat U+1680 OGHAM SPACE MARK as whitespace

    Unicode says: "U+1680 ogham space mark is unusual in that it is
    generally
    rendered with a visible horizontal line, rather than being blank."

 pango/pango-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c228f6978e09af7c91ce954262c9e0f85496e76f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 2 12:35:33 2016 +0800

    MSVC builds: Re-arrange GLib include paths

    We ought to include the platform-neutral headers first...

 build/win32/vs10/pango-build-defines.props  | 2 +-
 build/win32/vs9/pango-build-defines.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6c81be9ef621bebcb33b9e2e2d86c7b09cc00322
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Feb 14 13:58:43 2016 +0400

    Fix typo in pango_layout_xy_to_index() docs

    It was referring to itself for further description, but I assume the
    intent was to refer to pango_layout_line_x_to_index().

 pango/pango-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b9ced50e5d2c5797de0095366955d10ebc2c231
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 08:38:40 2015 -0500

    1.39.0

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 3596ddf1533def56a979914c4fbfe14344179873
Author: Krzesimir Nowak <qdlacz@gmail.com>
Date:   Mon Dec 14 14:14:36 2015 +0100

    Fix copy-paste mistake

 pango/pango-script.h | 58
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

commit f72413304c4027f0e2b988b1def937311533da53
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 07:48:43 2015 -0500

    Add api index for 1.40 API

 docs/pango-docs.sgml | 4 ++++
 1 file changed, 4 insertions(+)

commit f1cecd866a05d4a619d4a494b2bb97b6cec3c4e9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 07:48:05 2015 -0500

    Bump version to 1.39

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 625bce890dae8aa97ee7fd8e27458374d2feaf26
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 07:44:44 2015 -0500

    Update PangoScript to Unicode 8.0

    This brings us back in sync with GUnicodeScript.

 pango/pango-script.h | 64
 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 63 insertions(+), 1 deletion(-)

commit bd7038c3c03154ecb10e93183f8783b15422faa3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 07:37:32 2015 -0500

    Update pango-script-lang-table.h

    No changes here.

 pango/pango-script-lang-table.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dfc6fb3e46d134e6dc567303974e7f0f3eea51fa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 14 07:36:58 2015 -0500

    gen-script-lang-table: Fix compiler warnings

 tools/gen-script-for-lang.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit db3d4d4c6edbd46b41a40b1550a413b1935b2926
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Nov 12 15:35:50 2015 +0800

    MSVC 2010+ builds: Do not explicitly use /LTCG

    This partially reverts 03e60dc.

    As we now ensure that items using GResources and GConstructors
    are always
    referenced so that the linker does not optimize them out in a default
    Release build, we no longer need to enforce the use of /LTCG, so
    /LTCG:incremental will work as well.

 build/win32/vs10/pango.vcxprojin      | 2 --
 build/win32/vs10/pangocairo.vcxprojin | 5 -----
 build/win32/vs10/pangoft2.vcxprojin   | 2 --
 build/win32/vs10/pangowin32.vcxprojin | 2 --
 4 files changed, 11 deletions(-)

commit 03e60dc1c1f94345ed92aca4d9a6a2f17e48f690
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Oct 23 09:52:40 2015 +0800

    MSVC release builds: Ensure that /LTCG is used

    MSVC 2015 changed its default link-time code generation setting to
    /LTCG:incremental, which causes problems if /opt:noref is to be used,
    meaning that some code will be optimized out by the linker.

    Avoid this situtation here by enforcing the use of /LTCG for MSVC
    2010+
    builds.

 build/win32/vs10/pango.vcxprojin      | 10 ++++++----
 build/win32/vs10/pangocairo.vcxprojin | 21 +++++++++++++--------
 build/win32/vs10/pangoft2.vcxprojin   | 10 ++++++----
 build/win32/vs10/pangowin32.vcxprojin | 10 ++++++----
 4 files changed, 31 insertions(+), 20 deletions(-)

commit 39c8cfcc614f8901d347a047b3295a06082cbfee
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 22 14:20:47 2015 -0200

    Add note re threadsafe libthai

 pango/break-thai.c | 5 +++++
 1 file changed, 5 insertions(+)

commit a05219011b26703e6da7bc6e799d1e1322a60ed3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 12 15:13:30 2015 -0400

    1.38.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 50b39c378e20e7db91ad67e4dc367276f6e49f5a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 8 18:41:40 2015 +0800

    MSVC projects: Ensure files have UNIX line endings

    ...except for the .sln and the README.txt files, to ease
    maintainenance.

 build/win32/vs10/pango-build-defines.props    | 106
 +++++++++++++-------------
 build/win32/vs10/pango-ignore-fc.props        |   2 +-
 build/win32/vs10/pango-install-bin.props      |   2 +-
 build/win32/vs10/pango-install.propsin        |   2 +-
 build/win32/vs10/pango-install.vcxproj        |   2 +-
 build/win32/vs10/pango.vcxproj.filtersin      |   2 +-
 build/win32/vs10/pango.vcxprojin              |   2 +-
 build/win32/vs10/pangocairo.vcxproj.filtersin |   2 +-
 build/win32/vs10/pangocairo.vcxprojin         |   2 +-
 build/win32/vs10/pangoft2.vcxproj.filtersin   |   2 +-
 build/win32/vs10/pangoft2.vcxprojin           |   2 +-
 build/win32/vs10/pangowin32.vcxproj.filtersin |   2 +-
 build/win32/vs10/pangowin32.vcxprojin         |   2 +-
 13 files changed, 65 insertions(+), 65 deletions(-)

commit 18fe29478c263cf57ed408b153a76f30a934261d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 8 18:36:05 2015 +0800

    MSVC builds: Update PangoFT2-related items

    Fix the projects, and consolidate repeated items into the property
    sheets,
    as they now need to compile and link against HarfBuzz.  Also remove
    unnecessary lines from the PangoFT2 and PangoCairo project files.

 build/win32/vs10/pango-build-defines.props  | 10 +++++++++-
 build/win32/vs10/pangocairo.vcxprojin       | 16 ++++------------
 build/win32/vs10/pangoft2.vcxprojin         | 24 ++++++++++++------------
 build/win32/vs9/pango-build-defines.vsprops | 14 +++++++++++++-
 build/win32/vs9/pangocairo.vcprojin         | 25
 +++++++++----------------
 build/win32/vs9/pangoft2.vcprojin           | 24 ++++++++++++------------
 6 files changed, 59 insertions(+), 54 deletions(-)

commit 8f335578eb47fffb20647881622b994144054387
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 8 18:05:47 2015 +0800

    MSVC builds: Clean up PangoWin32 projects a bit

    Remove unneeded AdditionalIncludeDirectories directive.

 build/win32/vs10/pangowin32.vcxprojin | 1 -
 build/win32/vs9/pangowin32.vcprojin   | 1 -
 2 files changed, 2 deletions(-)

commit 91fe6f1c79c70a0d23cf80d9163b259b105cb4c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 3 23:42:28 2015 -0400

    testattributes: Make it work with --enable-debug=no

    g_assert gets neutered by --enable-debug=no, which is not what
    we want in tests. Use g_assert_true instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=755126

 tests/testattributes.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit e9fe4746f777772655011a7fedf93d420bd16c66
Author: Manuel Bachmann <manuel.bachmann@iot.bzh>
Date:   Sat Oct 3 16:48:46 2015 +0200

    Build: Require HarfBuzz 0.9.30

    Pango uses the HB_VERSION_ATLEAST macro, but it was only
    defined in HarfBuzz 0.9.30. Thus, compiling with an older
    version fails.

    Signed-off-by: Manuel Bachmann <manuel.bachmann@iot.bzh>

    https://bugzilla.gnome.org/show_bug.cgi?id=756015

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5c3882bbe994a1f42e12aeaa259b90ae3c55bef9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 12:54:26 2015 +0800

    build/Makefile-newvs.am: Update Comments for Usage

    Update the notes that this is also used for Visual Studio 2015
    support,
    and correct the MSVC_VER_LONG for MSVC 2015, which is 14, not 2015.

    Also add a note that this can be used for other projects that have
    Visual Studio build support.

 build/Makefile-newvs.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit a21d7688b95ae62034962bfc1e34801935dd670a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 15:33:02 2015 +0800

    Build: Make Makefile.msvcproj A Bit More Generic

    Handle also the situation where $(srcdir) == $(top_srcdir), so
    that this
    can also be used in cases like librsvg and gobject-introspection.

 build/Makefile.msvcproj | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 29a712f1af7bbb15bdc9d7e09cbf58517edf8c15
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 21 09:26:52 2015 -0400

    1.38.0

 NEWS         | 5 +++++
 configure.ac | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 31f9d97598a7862bb93245fcace341b5a6dfeba0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 21 09:26:16 2015 -0400

    docs: Add PANGO_ANALYSIS_FLAG_IS_ELLIPSIS

 docs/pango-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 7c9614ca60741a44e6fde0c24fc6a9c8560b302b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 14 13:30:58 2015 -0400

    1.37.5

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit bbe896872189d6afb30f2fb6bec44e64eedc52ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 13 11:28:33 2015 -0400

    Avoid some overhead in itemize_state_process_run

    Avoid determining the Unicode type repeatedly. Instead,
    just get the type once and filter out the classes we want.

 pango/pango-context.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 0bb2b5f4cf2264591657d2e0aead00955f9deb64
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 13 11:26:19 2015 -0400

    Avoid some overhead in pango_default_break

    We already have the Unicode type, so we can determine
    isspace without doing the full type determination again.

 pango/break.c | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 0de37310ff335d49d8003dfb4008932142ec2bde
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 12 18:13:40 2015 -0400

    Use g_unichar_get_script directly

    Instead of going through a wrapper.

 pango/break.c        | 2 +-
 pango/pango-script.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9681fa2ca8dfeb570471a3828e5b6aee4253025c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Sep 9 12:02:34 2015 +0800

    MSVC Builds: "Add" MSVC 2015 Project Files

    This "adds" Visual Studio 2015 projects in the way that we did before:
    copy the Visual Studio 2010 projects and replacing the items in there
    as necessary.

    Oh, this does pass 'make -jN distcheck' :)

 build/Makefile-newvs.am      | 22 +++++++++++++---------
 build/win32/Makefile.am      |  3 ++-
 build/win32/vs11/Makefile.am |  4 +---
 build/win32/vs12/Makefile.am |  4 +---
 build/win32/vs14/Makefile.am | 26 ++++++++++++++++++++++++++
 configure.ac                 |  1 +
 6 files changed, 44 insertions(+), 16 deletions(-)

commit c0e56e5af9e00137de1eb603ac1625332176f407
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 4 18:08:46 2015 +0800

    MSVC Builds: Rename testsrules_msvc.mak

    Rename this to detectenv-msvc.mak to be consistent with the other
    GNOME
    projects that support MSVC builds, and clean that file up a bit.

 build/Makefile.am                  |  2 +-
 build/detectenv-msvc.mak           | 65
 ++++++++++++++++++++++++++++++++++
 build/pango-introspection-msvc.mak |  3 +-
 build/testsrules_msvc.mak          | 72
 --------------------------------------
 4 files changed, 67 insertions(+), 75 deletions(-)

commit 7402dfe837bde0cfc2bdb1ab30f1ce7e9822a8f7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 4 16:44:22 2015 +0800

    pango/pango-renderer.c: Fix Build

    Some compilers insist on using a number for a guint16 return type,
    and does
    not like using NULL in place of 0, so fix this.

 pango/pango-renderer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a092a2997071e7f39660bbee3688869ce45b12fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 12:31:43 2015 -0400

    Give testcases distinct names

    GLib enforces this now.

 tests/testiter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb38f7e799f9aee9a3150291cae7f90007f606af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 12:24:51 2015 -0400

    1.37.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 991e280c9affc6e5da8b35888b7ae74d2b0d0088
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 12:21:23 2015 -0400

    Only use finer harfbuzz clusters when they work

    Harfbuzz 1.0.2 had errors in this area that gave us crashes
    in the testsuite (testiter). Therefore, only use this feature with
    Harfbuzz 1.0.3 or newer.

 pango/pangofc-shape.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f58b49182a117caadc0fcddeff39ce29ca8d397
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 1 16:40:34 2015 +0100

    Protect against bugs in HarfBuzz's (non-)monotone cluster values

    "Fixes" https://bugzilla.gnome.org/show_bug.cgi?id=541608

    Real fix went to HarfBuzz.

 pango/pango-glyph-item.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ec00fb5d78cd9ba996859db924119ffaa54938e0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 1 13:33:57 2015 +0100

    [test] Use latin-only font

    Exposes an assertion failure:
    https://bugzilla.gnome.org/show_bug.cgi?id=541608

 tests/testiter.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 40a96ff4cb86ebcd7a9025ed73b5c754a9d314c8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 1 13:31:32 2015 +0100

    Add assertion to glyph-item-iter

    Part of https://bugzilla.gnome.org/show_bug.cgi?id=541608

 pango/pango-glyph-item.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d1326d373687d034467d1d1d547f2977b967d349
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 31 16:53:58 2015 -0400

    Updates for 3.17.4

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit eee80865680a946a38389f07a2fb0f3854394a8b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 15 12:34:09 2015 -0400

    Add more markup tests

 tests/markups/fail-5.expected | 1 +
 tests/markups/fail-5.markup   | 1 +
 2 files changed, 2 insertions(+)

commit aa12788659f2a65314bdcc005d50105a5f4a63cd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 16:27:31 2015 +0100

    Improve justify_cluster() some more

    Much better now.

    Now I see issues in justify_words() again :(.

 pango/pango-layout.c | 55
 ++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 40 insertions(+), 15 deletions(-)

commit c7bca3b1431e50e8f01e4d4f952b38dee86ec0fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 15:20:02 2015 +0100

    Fix bug in previous commit

 pango/pango-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79c7874ad58d32c2b265c725d5e7e81504046595
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 14:36:20 2015 +0100

    Fix justify_clusters()

    Was totally b0rked.  Much better now.  Should be good enough...

 pango/pango-layout.c | 82
 ++++++++++++++++++++++++++++------------------------
 1 file changed, 45 insertions(+), 37 deletions(-)

commit d0d140b0180bfe2c2278f34f5a649a2e7d9f4fa2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 13:53:34 2015 +0100

    Remove remaining uses of g_utf8_strlen()

 pango/break-thai.c          | 7 ++++---
 pango/pangocoretext-shape.c | 2 +-
 pango/pangowin32-shape.c    | 3 ++-
 3 files changed, 7 insertions(+), 5 deletions(-)

commit bf500a961f0cbdb1f5b3ac9bb71080e7613df23d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 13:35:32 2015 +0100

    Fix offset calculation for justify

    Bug 753772 - Justify option inserts spaces in wrong positions
    https://bugzilla.gnome.org/show_bug.cgi?id=753772

    Went unnoticed for 8 years...

 pango/pango-layout.c | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit cc3df43e9703cc4765358ae4e9e67c8199d5c37c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 21 13:31:45 2015 +0100

    Fix crasher in justify code

    Ouch!

 pango/pango-layout.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 702e7cf1a336fed40bb2d89acc3c02b097c8bf84
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 4 04:23:15 2015 +0200

    Port two minor bidi bug fixes from FriBidi 0.19.6

 pango/mini-fribidi/fribidi.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 927585ea24482ec880fc8e1dcb63eade313f6d46
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 19:55:13 2015 +0100

    Serialize call to th_brk()

    Libthai is not threadsafe (thought it probably can easily be made
    to be).
    As such, add mutex around th_brk() calls.

    test-pangocairo-threads passes again.

 pango/break-thai.c | 5 +++++
 1 file changed, 5 insertions(+)

commit f5c12f8d8f39f405426e6cef153f91cdfe409710
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 19:34:08 2015 +0100

    [test] Add Thai and Arabic to test-pangocairo-threads

    Apparently libthai is not threadsafe.  This crashes
    right away if libthai is enabled...

 tests/test-pangocairo-threads.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40e1a245ee95781a4d8eb41ad246a4a733dbfab5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 15:56:14 2015 +0100

    Bug 753167 - Pango script crashes

    https://bugzilla.gnome.org/show_bug.cgi?id=753167

 pango/pangoft2-fontmap.c | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit 3ea523f9da45c68eeab29d2d98f6a1972d0f2682
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 18 16:21:26 2015 +0200

    Use finer HarfBuzz cluster level

    So that we can set attributes (e.g. colors) to the marks and their
    bases
    indecently.

    https://bugzilla.gnome.org/show_bug.cgi?id=541608

 pango/pangofc-shape.c | 3 +++
 1 file changed, 3 insertions(+)

commit 25976af86f2db722eb75c8d3015888cd5cad2efb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 18 16:04:16 2015 +0200

    Use grapheme boundaries in justify_clusters()

    Instead of relying on the fact that marks have the same cluster number
    as their bases, which will change in the next commit.

 pango/pango-layout.c | 77
 +++++++++++++++++++++++++++++++---------------------
 1 file changed, 46 insertions(+), 31 deletions(-)

commit 8971ffd1e953341e18b8303e787a16263d68c50b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Aug 17 19:05:30 2015 +0800

    MSVC Introspection Builds: Remove GCC Requirement

    G-I has been updated to not require a Windows GCC installation
    anymore to generate the .gir files, so update the NMake Makefiles
    that are used for this purpose.

 build/introspection-msvc.mak       | 16 +---------------
 build/pango-introspection-msvc.mak |  2 +-
 2 files changed, 2 insertions(+), 16 deletions(-)

commit d8e5525d84a441c66d4b1fbf06d5f1a3947150d6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 14 23:24:59 2015 -0400

    fix distcheck

 pango/pango.def | 4 ++++
 1 file changed, 4 insertions(+)

commit 402beb208c09a789f58743c6233a09a8d5942a3c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 14 23:20:19 2015 -0400

    1.37.3

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a2095b02d71a62a32e39fd4ca3c5c92457cdead7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 14 23:18:25 2015 -0400

    Add a testcase for font-features in markup

 tests/markup-parse.c           | 3 +++
 tests/markups/valid-9.expected | 8 ++++++++
 tests/markups/valid-9.markup   | 1 +
 3 files changed, 12 insertions(+)

commit 9a2b0f07225aaf69b33494ce7de62c814cff6b59
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 14 22:43:36 2015 -0400

    Add some tests for markup with alpha

 tests/markup-parse.c           |  6 ++++++
 tests/markups/fail-2.expected  |  1 +
 tests/markups/fail-2.markup    |  1 +
 tests/markups/fail-3.expected  |  1 +
 tests/markups/fail-3.markup    |  1 +
 tests/markups/fail-4.expected  |  1 +
 tests/markups/fail-4.markup    |  1 +
 tests/markups/valid-5.expected | 20 ++++++++++++++++++++
 tests/markups/valid-5.markup   |  4 ++++
 tests/markups/valid-6.expected | 23 +++++++++++++++++++++++
 tests/markups/valid-6.markup   |  4 ++++
 tests/markups/valid-7.expected | 12 ++++++++++++
 tests/markups/valid-7.markup   |  2 ++
 tests/markups/valid-8.expected | 24 ++++++++++++++++++++++++
 tests/markups/valid-8.markup   |  4 ++++
 15 files changed, 105 insertions(+)

commit 194f4668b32a86993d969bccfed59186c08f63dd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 14 22:51:46 2015 -0400

    Allow rgba colors in markup

    For foreground and background colors, allow #rrggbbaa to specify
    a color with alpha. This will be returned as two attributes, for
    color and alpha. underline_color and strikethrough_color are still
    limited to #rrggbb, with no alpha component.

 docs/pango_markup.sgml | 12 ++++---
 pango/pango-color.c    | 98
 ++++++++++++++++++++++++++++++++++++--------------
 pango/pango-markup.c   | 22 +++++++++---
 3 files changed, 97 insertions(+), 35 deletions(-)

commit c9809629caf8ceda767b81b1aacfb045e3514119
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 11 15:49:27 2015 -0400

    Support alpha in markup

    Support alpha and background_alpha attributes on span elements.
    The value can either be a plain integer between 1 and 65536 or
    a percentage like 50%.

 docs/pango_markup.sgml | 20 +++++++++++-
 pango/pango-markup.c   | 88
 ++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 104 insertions(+), 4 deletions(-)

commit 9f44c20b3ca62f0de2cc9adc64c14109174c3a8a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 11 15:39:22 2015 -0400

    Add alpha support to PangoCairoRenderer

    Make PangoCairoRenderer use cairo_set_source_rgba() to apply
    colors with alpha. Note that this means we are only using the
    alpha if the corresponding color has been set.

 pango/pangocairo-render.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 884db27321c7eb381fbec23fa445cc481bf546b7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 11 15:35:21 2015 -0400

    Add alpha support to PangoRenderer

    Add pango_renderer_get/set_alpha to allow associating alpha
    values with the various colors. The alpha is stored as a value
    between 0 and 65536, with 0 meaning 'unset'.

 docs/pango-sections.txt |  2 ++
 pango/pango-renderer.c  | 70
 +++++++++++++++++++++++++++++++++++++++++++++++++
 pango/pango-renderer.h  |  6 +++++
 3 files changed, 78 insertions(+)

commit 5dd3585270746fd88b267d06ce20eb9c19cab5e5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 11 15:48:25 2015 -0400

    Add attribute types for fg and bg alpha

    Add attributes types for foreground and background alpha.

 docs/pango-sections.txt  |  2 ++
 pango/pango-attributes.c | 48
 ++++++++++++++++++++++++++++++++++++++++++++++++
 pango/pango-attributes.h |  8 +++++++-
 3 files changed, 57 insertions(+), 1 deletion(-)

commit 6489105c20bdebc720c223894d947fd5e3cebe49
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 11 20:30:27 2015 -0400

    Document PANGO_ATTR_FONT_FEATURES

 pango/pango-attributes.h | 1 +
 1 file changed, 1 insertion(+)

commit 3463c0d118da131b01179fc432e04a4400fc767b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 16:12:24 2015 +0200

    Fix pango_glyph_item_iter_prev() around last cluster

    It was combining the last two clusters.  Ouch!

    Test added already.  Passes now.

 pango/pango-glyph-item.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit acbd5a6d4d92715263b3e99113caa7ac7a002776
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 16:10:36 2015 +0200

    Add test for glyphitem-iter

    Fails right now.  Fix coming.

 tests/testiter.c | 52
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit e8e825e5ac38384687635e86c2389a0790a3349e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 15:01:27 2015 +0200

    Minor

 tests/testiter.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 7aa0aa0aabaf08e2500b7e267010a42d36918ce9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 30 13:31:06 2015 -0400

    Document font_features support in markup

 docs/pango_markup.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 868f18257ff3ee6e3271cce50d4aed87fa7a972e
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Wed Jul 22 11:27:44 2015 +0200

    pango: Add missing fontconfig linker flags

 pango/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 8aa675544df0552345175d02e00261deb2e6dcaa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 20 23:01:08 2015 -0400

    1.37.2

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ee36b26eddcbbc169660de188b4804e21194c530
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jul 17 20:36:47 2015 -0400

    Silence a few coverity warnings

    coverity says: Using uninitialized value "index2". It didn't
    notice that the only time we can reach the index = index2
    assignment with index2 still uninitialized is when we are
    never going to look at index again.

 tests/test-layout.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 65214f2c8a7e968ed2bc6d9cc66fecbc5de7c0f5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 13 17:19:24 2015 +0800

    README.win32: Update Information for Builds

    Since module functions are now built into the main Pango DLLs,
    indicate so in README.win32, although it does not make any difference
    in the Visual Studio builds on the surface, as modules are already
    built into the main DLLs for such builds.

    Also update the information on the Visual Studio versions supported
    by the project files.

 README.win32 | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit d3fd4b7b5ea6c8fa56aa36235db76a6eef7ec0a6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 26 11:41:34 2015 -0700

    Don't use hb_glib_get_unicode_funcs()

    HarfBuzz buffer comes with a properly set up Unicode funcs
    these days.  So, trust it.

 pango/pangofc-shape.c | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

commit 248e9f40cb756bda098ed778ea30b52468a7b3e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 22 08:18:22 2015 -0400

    1.37.1

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 684ad511842194ce6428ea26f6eeab0df9f6c78c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 22 09:00:54 2015 -0400

    Add new symbol to .def

 pango/pango.def | 1 +
 1 file changed, 1 insertion(+)

commit 747fbdb28b7f10265ff1bbbbc456163a3d2506b1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 22 08:13:33 2015 -0400

    Minor documentation update

 pango/fonts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9732a98819e83ea3b9d20c06181a946711d2f54d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jun 20 17:57:47 2015 -0700

    Add test-feature-tag.markup

 pango-view/test-feature-tag.markup | 130
 +++++++++++++++++++++++++++++++++++++
 1 file changed, 130 insertions(+)

commit 2d40f62bbcfe19fa1714feb24dd1359847ef19e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 19 09:32:50 2015 -0400

    Bump version to 1.37.1

    This is so I can require a bleeding-edge pango in GTK+ for
    a font feature demo.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba53f29f7c2c105becb898d6417a4c160b7fc1e5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 18 11:49:40 2015 -0700

    Bug 738505 - Add fontfeatures support in PangoAttributes and markup

    https://bugzilla.gnome.org/show_bug.cgi?id=738505

    Patch from Matthias Clasen, based on early patch from Akira TAGOH.

    There's room for improvement in how this is done, but it works now
    for simple cases, which is what most people will be using it for.

    Finally!

 docs/pango-sections.txt  |  2 ++
 pango-view/Makefile.am   |  1 +
 pango/pango-attributes.c | 51
 +++++++++++++++++++++++++++++++++++++-----------
 pango/pango-attributes.h | 21 +++++++++++++++++++-
 pango/pango-layout.c     |  5 +++++
 pango/pango-markup.c     | 12 ++++++++++--
 pango/pangofc-shape.c    | 39 ++++++++++++++++++++++++++++++++++++
 7 files changed, 117 insertions(+), 14 deletions(-)

commit dfe7ec760e08485520668ed1e2585c85545fc013
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jun 7 11:08:13 2015 -0700

    Bug 750463 - hexboxes broken for some combining characters

    Round lsb.

 pango/pangocairo-render.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit b66375a1cce0f33a565ec3c4a3dc83bbf6ceb640
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 5 14:33:54 2015 -0700

    Bug 750463 - hexboxes broken for some combining characters

 pango/pangocairo-render.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 5e5b6f9388a12803a94fc90fc01c53bca51315ac
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 4 11:40:31 2015 -0700

    Bug 750383 - Issue in ellipsization when line space is mentioned

 pango/pango-layout.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5ff42dc22274177321ccc698d9388460a2628d2a
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Fri May 29 22:12:27 2015 +0200

    coretext: handle locale set through environment variables

 pango/pango-language.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit ea326fdf0d2c12ef0d4c58882b795caa3f0050bc
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Fri May 29 21:33:21 2015 +0200

    coretext: guard for unset language

    Fixes bug #750017

 pango/pangocoretext-fontmap.c | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit 01a609cd7b0fbd4b01c73f5e737a4722e65e5969
Author: Javier Jardón <jjardon@gnome.org>
Date:   Wed May 27 18:37:05 2015 +0100

    1.37.0

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 8f7d44b499a1ff6165fa1386e4dd1fbd5a7c726f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun May 24 21:33:29 2015 -0400

    Fix an error in font weight conversion

    The fallback code for conversion from fontconfig font weights
    to PangoWeight was mixing up PANGO_WEIGHT_SEMILIGHT and
    PANGO_WEIGHT_LIGHT.

    https://bugzilla.gnome.org/show_bug.cgi?id=749635

 pango/pangofc-fontmap.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ef54df4895e1dfebbaa95c92114e8258dc18eda2
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun May 17 12:28:30 2015 +0200

    Fix other used of “Deprecated: 1.38”

    Follow-up of the previous commit.

 pango/modules.c       |  8 ++++----
 pango/pango-engine.c  |  6 +++---
 pango/pango-engine.h  | 34 +++++++++++++++++-----------------
 pango/pango-fontmap.c |  2 +-
 pango/pango-modules.h |  2 +-
 5 files changed, 26 insertions(+), 26 deletions(-)

commit c2f0c7b73942721d1ab04a223ed0d75178973f7d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 16 17:07:27 2015 -0400

    Update deprecation versions

    The common practice is to name the first stable version in which
    a function is deprecated. Following that here and mark things
    as deprecated in 1.38.

 pango/pango-utils.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit fafc7915334be2dc7eb3952ea0598865a2246eff
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 11 18:09:32 2015 -0700

    Overflow, etc, fixes for pangoft2

    Ugh.  With 64-bit machines, weird things were happening inside
    MIN/MAX()
    when one of the arguments was unsigned...

 pango/pangoft2-render.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 061633100aa120262db2acf9486bb590b2e0862e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 11 17:16:40 2015 -0700

    Fix PangoFc with non-identity scale matrix (again!)

    https://bugzilla.gnome.org/show_bug.cgi?id=700592

 examples/cairosimple.c | 31 +++++++++++-----
 pango/pangofc-shape.c  | 98
 +++++++++++++++++++++++++++++++++++---------------
 2 files changed, 91 insertions(+), 38 deletions(-)

commit f79b50df9d6116759cca5b043692e8d67e3c0984
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Apr 13 23:40:38 2015 +0200

    Deprecate much of pango-utils.h

    These all are general utility functions that do not belong to
    Pango’s
    public interface. Most of them are unused internally now, the few ones
    that are still used should be made private at some point.

    https://bugzilla.gnome.org/show_bug.cgi?id=682840

 pango/pango-utils.c | 16 ++++++++++++++++
 pango/pango-utils.h |  8 ++++++++
 2 files changed, 24 insertions(+)

commit 733f1edc6f3a5e01fc9b0e661fcb61f288d800af
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Fri May 8 22:55:39 2015 +0000

    Give -I$(top_builddir) to documentation

    This allows the docscanner to find pango/pango-enum-types.h

 docs/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit bc83ef791d091d91133b4d9c59fb5c758ce7aec2
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Wed May 6 20:22:31 2015 +0200

    coretext: ensure weight is always initialized

 pango/pangocoretext-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61dd7da69458e8443343eb71d7336b458f834700
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Sun Apr 26 23:15:19 2015 +0200

    coretext: use public function to obtain cascade list if available

    We use a compile-time check: if compiling for platforms 10.8 or
    higher,
    use the public function, otherwise use the undocumented function.

    Fixes bug 737813.

 pango/pangocoretext-fontmap.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 5b3103d6718af6263a8aa4610e7ac56221399215
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 5 17:27:23 2015 -0700

    Minor doc fix

 pango/pango-font.h       | 1 +
 pango/pango-glyph-item.h | 2 ++
 pango/pango-glyph.h      | 5 +++++
 pango/pango-item.h       | 4 ++++
 4 files changed, 12 insertions(+)

commit c923660d8f58ccfa43cf158a42460d4efe566de2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 5 17:27:23 2015 -0700

    Minor doc fix

 pango/pango-attributes.c | 2 +-
 pango/pango-layout.h     | 3 +++
 pango/pango-matrix.c     | 2 +-
 pango/pango-ot-ruleset.c | 2 +-
 4 files changed, 6 insertions(+), 3 deletions(-)

commit a087f683c22f7c7e79a6300e2e626a9da191fcf8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 5 17:25:36 2015 -0700

    Fix up api index sections

 docs/pango-docs.sgml | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit d0ae2a4b74903331e8b79968faf2af95e012ef65
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 5 17:17:04 2015 -0700

    Fix a few warnings

 pango/pango-gravity.c | 1 -
 pango/pango-layout.c  | 2 +-
 pango/pango-utils.c   | 2 +-
 pango/pangofc-shape.c | 2 --
 4 files changed, 2 insertions(+), 5 deletions(-)

commit 9117a1c6c7717287f2f8d76c5926bd2e5551c52e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 5 15:01:53 2015 -0700

    Fix leading vs trailing grapheme edge docs

    https://bugzilla.gnome.org/show_bug.cgi?id=748822
    https://bugzilla.gnome.org/show_bug.cgi?id=744836

 pango/pango-layout.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 762afd93b3be04ae475de3cfd433a2a1b70dac1a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 4 23:46:15 2015 -0700

    [test] Include header

 tests/test-common.c | 1 +
 1 file changed, 1 insertion(+)

commit 77a8ddf97931e35d43db37fb80e3be55de0e30c8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 4 23:44:27 2015 -0700

    Fix build with picky ld

 pango-view/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit dfcc7424a4eed6cb3e0be6bdf7171725a81465b2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 4 22:52:21 2015 -0400

    Fix a copy-paste error

 pango/pangofc-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62aa445db95013cfc46202036e4410475d843faa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 1 18:06:32 2015 -0400

    Minor

 pango/pango-script.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b3474e68f0d823cee69239fb10c93320894e0a5b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 1 15:16:42 2015 -0400

    Bug 748767 - Add pango_fc_font_map_config_changed()

 docs/pango-sections.txt |  1 +
 pango/pangofc-fontmap.c | 22 +++++++++++++++++++++-
 pango/pangofc-fontmap.h |  5 ++++-
 pango/pangoft2.def      |  1 +
 4 files changed, 27 insertions(+), 2 deletions(-)

commit d650fc32b145f55da37fe27edbda1624ab7ac437
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 1 15:07:48 2015 -0400

    Bug 748768 - pango_fc_font_map_set_config() should clear caches

 pango/pangofc-fontmap.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 66d0aaa967043822b5d1119ab92ce6137a1ceabb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 1 15:01:05 2015 -0400

    Rename pango_fc_font_map_[sg]et_fc_config to
    pango_fc_font_map_[sg]et_config

    Do it before it's too late!

 docs/pango-sections.txt |  4 ++--
 pango/pangofc-fontmap.c | 32 ++++++++++++++++----------------
 pango/pangofc-fontmap.h |  4 ++--
 pango/pangoft2.c        |  2 +-
 pango/pangoft2.def      |  4 ++--
 5 files changed, 23 insertions(+), 23 deletions(-)

commit 4ad91ff6754f99d8c4f3ca1e09e2cc3005edb857
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 18:00:14 2015 -0400

    Bug 547671 - Add pango_fc_font_map_[gs]et_fc_config()

 docs/pango-sections.txt |  2 ++
 pango/pangofc-fontmap.c | 73
 +++++++++++++++++++++++++++++++++++++++++++++----
 pango/pangofc-fontmap.h |  6 ++++
 pango/pangoft2.c        |  2 +-
 pango/pangoft2.def      |  2 ++
 5 files changed, 79 insertions(+), 6 deletions(-)

commit d4e0fb667815ad80bff60491a2125321ee88d1b7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 17:23:38 2015 -0400

    Bug 602257 - Make pango_matrix_get_font_scale_factors() public

 docs/pango-docs.sgml    | 10 ++++++-
 docs/pango-sections.txt |  1 +
 pango/pango-matrix.c    | 69
 ++++++++++++++++++++++++++++++++-----------------
 pango/pango-matrix.h    |  2 ++
 pango/pango.def         |  1 +
 pango/pangofc-private.h | 42 ------------------------------
 6 files changed, 58 insertions(+), 67 deletions(-)

commit c089b1f7b0e3006b88c1a76784dcb4d8a2da7547
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 17:05:12 2015 -0400

    Bug 548490 - regenerate script-lang-table against to-be-released
    fontconfig

 pango/pango-script-lang-table.h | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 2982e68f45cf78e7722e3dd708e45e229e999724
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 17:04:08 2015 -0400

    Fixup tools/

 tools/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6406594cae082f5295d5fe7b9529d06fc61f9899
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 12:42:02 2015 -0400

    Minor

 configure.ac      | 3 ---
 pango/Makefile.am | 2 ++
 2 files changed, 2 insertions(+), 3 deletions(-)

commit be8941dc47404534a561ea32fc968df6c44d341c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 12:31:56 2015 -0400

    Bug 328141 - Use Requires.private in pkg-config files when appropriate

    Clean up our shi^W"stuff".  Please confirm I didn't break everything.

 pango-uninstalled.pc.in      | 3 ++-
 pangocairo-uninstalled.pc.in | 3 ++-
 pangoft2-uninstalled.pc.in   | 3 ++-
 pangowin32-uninstalled.pc.in | 3 ++-
 pangowin32.pc.in             | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

commit 9f00b5319325839ccf377043feaba33635a67d7a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 11:58:54 2015 -0400

    Bug 695163 - pangocairo hexboxes don't take actual font size into
    account

 pango/pangocairo-font.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 96f1f8c27c696cccc963988ed4a3b3c13395133d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 10:59:28 2015 -0400

    Bug 694697 - [PATCH] cosmetic fix for configure.ac

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=694697

 configure.ac | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 074296f966aacfe5864ea9df8ee527ef809a9f2e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Apr 20 14:54:28 2015 +0100

    Makefile-newvs: some .vcxproj.filters files are in builddir, some
    in srcdir

    Without this change, out-of-tree distcheck doesn't get very far.

    Similarly, allow *.vcxproj, *.props to be in either the builddir or
    the srcdir.

    Finally, since I'm touching these lines anyway, eliminate some
    useless uses of cat: "cat x | sed 's/foo/bar/' > y" is
    equivalent to "sed 's/foo/bar/' < x > y".

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=748176
    Reviewed-by: Chun-wei Fan <fanchunwei@src.gnome.org>

 build/Makefile-newvs.am | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit f148ea6ecd22f56c0801bf187cdbca2cf1d2d8fe
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 14:23:32 2015 -0700

    Hide pango-view --pangorc

 pango-view/viewer-render.c | 4 ++--
 pango-view/viewer-render.h | 1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 1eb56a29d555771b4c3fdf9c10e7fa9766be8709
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 22 15:45:38 2015 -0700

    Remove some old build cruft

 configure.ac      | 57
 +++++++++----------------------------------------------
 pango.pc.in       |  3 ++-
 pango/Makefile.am |  8 --------
 pangocairo.pc.in  |  3 ++-
 4 files changed, 13 insertions(+), 58 deletions(-)

commit 27204694f78dd8aebce9b3d2a52db81a21ff081e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Apr 17 14:03:11 2015 +0800

    build/Makefile-newvs.am: Clean Up A Bit

    We can use $< for generating the MSVC 2012/2013 Solution files,
    so use it.

 build/Makefile-newvs.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76011eca53871a8f0fdad81fa848fc1768f8e578
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 14 13:33:17 2015 -0700

    Revert "Use UTF-8 pragma for MSVC"

    This reverts commit c8b1d5bea67155ae51cb9a145d43df79a52faeb4.

    See discussion:
    https://bugzilla.gnome.org/show_bug.cgi?id=747772

 pango/break.c                       | 4 ----
 pango/pango-language-sample-table.h | 5 -----
 2 files changed, 9 deletions(-)

commit 9a3c401c704e6be92a980f7f893b814c37b7ba7a
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Apr 13 23:30:11 2015 +0200

    Add missing G_DEPRECATED annotation

 pango/pango-utils.h | 2 ++
 1 file changed, 2 insertions(+)

commit 487f0254ab31a71a79ff818e8d0afc85aeff7b9f
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Apr 13 23:08:43 2015 +0200

    Minor

 pango/pango-utils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d2dda8d6ace0cbacd2c39ba49eff9967f12771d1
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Apr 13 21:54:45 2015 +0200

    Deprecate noop utility functions

    After the removal of modules and configuration files, both
    pango_get_lib_subdirectory and pango_get_sysconf_subdirectory are
    meaningless now. This patch deprecates them and removes the Windows
    specific behaviour as it prevents statically compiling Pango under
    Windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=682840

 pango/pango-utils.c | 57
 ++++++++---------------------------------------------
 1 file changed, 8 insertions(+), 49 deletions(-)

commit c8b1d5bea67155ae51cb9a145d43df79a52faeb4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 13 12:25:35 2015 -0700

    Use UTF-8 pragma for MSVC

    https://bugzilla.gnome.org/show_bug.cgi?id=747772

 pango/break.c                       | 4 ++++
 pango/pango-language-sample-table.h | 5 +++++
 2 files changed, 9 insertions(+)

commit b110042886198dc51b82d1f9d4c957121ee336eb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 10 10:24:55 2015 -0700

    Fix warnings if font is not found

 pango/fonts.c        | 3 ++-
 pango/pango-engine.c | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 28df77e08b1f9c9ad27ba719465c2ff230516df0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Apr 10 10:08:17 2015 +0800

    build/Makefile.msvcproj: Don't Use realpath(1)

    Apaprently there are many incompatible realpath(1) implementations out
    there, so things like --relative-to can't be assured to work
    everywhere,
    such as on Ubuntu.

    Instead, simply use the subst feature of automake to fulfil the same
    purpose, which is like what the rest of this file does, and follows
    the
    pattern of the introspection makefile, which this is modelled on.

    Also update the simple tutorial and clean up a bit, changing
    $(empty) to
    <nothing> as Behdad pointed out.

    This is also checked with 'make -j8 distcheck'.

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/Makefile.msvcproj | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 0e0a3a83bfd4d57dced9e75383125d636e49adaa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 9 15:06:06 2015 -0700

    pango-view: accept comma as well as space as --margin separator

 pango-view/viewer-render.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df05ec0d05062a911efc929b1ea32ef8d526d0e2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Apr 9 18:36:49 2015 +0800

    Revert "build/Makefile.msvcproj: Don't Use realpath(1)"

    This reverts commit aa7a9e08d33ac01aa43460a064e086b099f71642.

    Sorry, I accidently committed this in master, when I am supposed
    to commit
    in my own local branch.

 build/Makefile.msvcproj | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit aa7a9e08d33ac01aa43460a064e086b099f71642
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Apr 9 18:35:42 2015 +0800

    build/Makefile.msvcproj: Don't Use realpath(1)

    Apaprently there are many incompatible realpath(1) implementations out
    there, so things like --relative-to can't be assured to work
    everywhere,
    such as on Ubuntu.

    Instead, simply use the subst feature of automake to fulfil the same
    purpose, which is like what the rest of this file does, and follows
    the
    pattern of the introspection makefile, which this is modelled on.

    This is also checked with 'make -j8 distcheck'

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/Makefile.msvcproj | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 991d74a9947c050e12ca4f8509a05ddee6d0f3df
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Apr 9 18:30:15 2015 +0800

    MSVC Builds: Cosmetics

    Since we are no longer using the interim Makefile-msvcproj.am way to
    generate the complete MSVC build files, change all PangoApiVersion to
    ApiVersion, to be consistent with the other MSVC build files in
    the GTK+/
    Clutter stack.

 build/win32/vs10/pango-install-bin.props    | 10 +++++-----
 build/win32/vs10/pango-install.propsin      | 12 ++++++------
 build/win32/vs10/pango-version-paths.props  |  8 ++++----
 build/win32/vs10/pango.vcxprojin            |  8 ++++----
 build/win32/vs10/pangocairo.vcxprojin       | 22 +++++++++++-----------
 build/win32/vs10/pangoft2.vcxprojin         |  8 ++++----
 build/win32/vs10/pangowin32.vcxprojin       |  8 ++++----
 build/win32/vs9/pango-install-bin.vsprops   | 10 +++++-----
 build/win32/vs9/pango-install.vspropsin     | 12 ++++++------
 build/win32/vs9/pango-version-paths.vsprops |  4 ++--
 build/win32/vs9/pango.vcprojin              |  8 ++++----
 build/win32/vs9/pangocairo.vcprojin         | 22 +++++++++++-----------
 build/win32/vs9/pangoft2.vcprojin           |  8 ++++----
 build/win32/vs9/pangowin32.vcprojin         |  8 ++++----
 14 files changed, 74 insertions(+), 74 deletions(-)

commit d3a460865cf796b35cc9cf0e7e42781432a4138c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Apr 9 18:16:42 2015 +0800

    MSVC Builds: Fix Header "Installation"

    Create the directory where the headers should be copied.  I did
    not notice
    this as there was always
    $(GlibEtcInstallRoot)\vs$(VSVER)\$(PLAT)\include\pango-1.0\pango.
    Oops.

 build/win32/vs10/pango-install.propsin  | 1 +
 build/win32/vs9/pango-install.vspropsin | 1 +
 2 files changed, 2 insertions(+)

commit d3adb1e58a40a01ecf8706adcbbfca01f7c9fe35
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 8 14:07:33 2015 +0800

    Remove Traces of the Old Makefile-msvcproj.am

    We don't need them around anymore

 pango/mini-fribidi/Makefile.am | 7 -------
 1 file changed, 7 deletions(-)

commit b2835f6c5de242a679090ccb577447ddd7607dca
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 8 13:56:46 2015 +0800

    Drop the Unused Makefile-msvcproj.am

    ...as this is interim that is to be superceded by Makefile.msvcproj,
    which
    is meant to be usable across different projects.

 build/Makefile-msvcproj.am | 237
 ---------------------------------------------
 1 file changed, 237 deletions(-)

commit 11d29d7342026f9234e42250e771484392ae5a5c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 8 13:43:07 2015 +0800

    pango.vcxproj: Fix MSVC 2010+ Build

    The command macro for copying config.h.win32 to config.h was wrong
    due to
    a leftover when copying the rule.  Fix that, oops.

 build/win32/vs10/pango.vcxprojin | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6f4737efde78bb465b916dcd9d15a7a58e6092a0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Apr 7 18:13:10 2015 +0800

    MSVC Bulids: Restore Visual Studio 2012/2013 Projects

    This restores the EXTRA_DIST for the project file related items,
    as the
    underlying mechanism in the previous commit (i.e. Makefile-newvs.am)
    has
    been cleaned up and fixed to allow 'make -jN distcheck' to complete
    successfully.

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/win32/vs11/Makefile.am | 18 ++++++++++++++++++
 build/win32/vs12/Makefile.am | 18 ++++++++++++++++++
 2 files changed, 36 insertions(+)

commit dc1d6bb43a4d9e589956738ea4f097867da29b19
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Apr 7 18:10:32 2015 +0800

    build/Makefile-newvs.am: Use Pattern Rules

    This allows this common autotools file to be cleaned up quite a
    bit, and
    has the benefit of having 'make -jN distcheck' complete successfully.

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/Makefile-newvs.am | 32 +++++++++++---------------------
 1 file changed, 11 insertions(+), 21 deletions(-)

commit 8e772f8c8bbfcb2bcbcf3bfe40945a49ff4d5e25
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Apr 7 18:07:53 2015 +0800

    MSVC Builds: Restore MSVC 2008/2010 Project Generation

    ... in a way that 'make distcheck' (with or without -jN) completes
    successfully.  This uses the common autotools module that was added in
    a previous commit so that we just need to define the items needed
    and call
    the things in there during 'make dist' (or 'make distcheck'),
    which would
    have things in a more tidy manner for this.

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/win32/vs10/Makefile.am                  |  60 ++++----
 build/win32/vs10/pango-install.propsin        |  32 +---
 build/win32/vs10/pango.vcxproj.filtersin      |   3 +-
 build/win32/vs10/pango.vcxprojin              |   3 +-
 build/win32/vs10/pangocairo.vcxproj.filtersin |   4 +-
 build/win32/vs10/pangocairo.vcxprojin         |   2 +-
 build/win32/vs10/pangoft2.vcxproj.filtersin   |   5 +-
 build/win32/vs10/pangoft2.vcxprojin           |   8 +-
 build/win32/vs10/pangowin32.vcxproj           | 202
 --------------------------
 build/win32/vs10/pangowin32.vcxproj.filters   |  39 -----
 build/win32/vs10/pangowin32.vcxproj.filtersin |  23 +++
 build/win32/vs10/pangowin32.vcxprojin         | 193
 ++++++++++++++++++++++++
 build/win32/vs9/Makefile.am                   |  43 +++---
 build/win32/vs9/pango-install.vspropsin       |  19 +--
 build/win32/vs9/pango.vcprojin                |   3 +-
 build/win32/vs9/pangocairo.vcprojin           |   2 +-
 build/win32/vs9/pangoft2.vcprojin             |   8 +-
 build/win32/vs9/pangowin32.vcproj             | 181
 -----------------------
 build/win32/vs9/pangowin32.vcprojin           | 172
 ++++++++++++++++++++++
 pango/Makefile.am                             |  45 ++++++
 20 files changed, 505 insertions(+), 542 deletions(-)

commit b5519c3a59e6c9b091f1389403c982871f93972b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Aug 25 14:57:30 2014 +0800

    build: Add Common Autotools Module for MSVC Projects

    This adds a common autotools module that can be used by various
    projects to
    generate the Visual Studio projects as needed, and if necessary,
    generate
    the headers listings to "install" for that project, based on items
    passed
    in to this.  This is modelled on the Makefile.introspection autotools
    file
    that is used by many GNOME projects to generate the introspection
    files.

    https://bugzilla.gnome.org/show_bug.cgi?id=735039

 build/Makefile.msvcproj | 107
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 107 insertions(+)

commit e57c5221426fb80afd1544edb79241331f7654ab
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Apr 7 17:49:18 2015 +0800

    MSVC Builds: Use Custom Build Rules

    Use a custom build rule for the copying of config.h.win32 to
    config.h, and
    reflect on the changes on the module source files for the Arabic
    and Indic
    line breaks.

 build/win32/vs10/pango-prebuild.props    | 60
 +++++++-------------------------
 build/win32/vs10/pango.vcxproj.filtersin | 11 +++---
 build/win32/vs10/pango.vcxprojin         | 34 +++++++++---------
 build/win32/vs9/pango-prebuild.vsprops   | 33 +++---------------
 build/win32/vs9/pango.vcprojin           | 56
 ++++++++++++++++++++---------
 5 files changed, 81 insertions(+), 113 deletions(-)

commit 39b48288fc825dce31e8e740cc9bbe0e1e6867c7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 6 13:21:56 2015 -0700

    Minor

 pango/break.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b838c04243ab840330b3e47413bda16bf6fd3e01
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 6 13:21:26 2015 -0700

    Fix regression after 137832fa931e875b900dedd1c8909b46d1f7e8ad

 pango/break.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2b89006dd2aae60805712a24534586ccdcc8d06
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 6 12:17:16 2015 -0700

    Fix tailoring of run boundary break properties

    I have no idea how this was never caught before.

 pango/break.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 2001c93eb59165ed1ed4801b05983c3d77333f45
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 6 11:55:06 2015 -0700

    [test] Fix line number reporting

 tests/testboundaries.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0da76d1b427629f4e671b502d7034595ae9ac568
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Apr 5 15:14:02 2015 -0700

    Speed up test-pangocairo-threads

 tests/test-pangocairo-threads.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ec2a4821a37b31e01a0e70fae0fe99035cc2385
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Apr 5 23:43:49 2015 +0200

    Fix building with libthai

    Regression from 137832fa931e875b900dedd1c8909b46d1f7e8ad.

 pango/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 3d7f7acea1983863c37cb01eda959252d42be555
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Apr 5 22:32:48 2015 +0200

    Make the deprecation a bit more clear

    Followup to 81904127fe1107b6c0db4ce50c3d44cdf63b7f67.

 pango/pango-utils.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 3a510689764e54516b309be1c542ea0f2263d177
Merge: 2ae5739 f734d7c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Apr 5 12:58:46 2015 -0700

    Merge branch 'kill-modules'

    Bug 733882 - Kill Pango modules, engines, and config files

    This removes use of gmodule modules, config files, and deprecates
    engine and module APIs, although for compatibility reasons, those
    are still used internally to wire things up.  ~2500 lines gone.

commit f734d7c937e518f93da544ef0fceec453bfce5d2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Apr 5 12:53:20 2015 -0700

    Minor

 pango/pango-engine.h  | 1 -
 pango/pangocoretext.c | 4 ++--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 6763f38c4c0de135b0839eb74d9ac7d5e7fafec6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Apr 5 12:42:54 2015 -0700

    Remove gmodule dependency and deprecate some more symbols

 configure.ac                  |  2 +-
 examples/pangowin32tobmp.c    |  1 -
 pango-uninstalled.pc.in       |  1 -
 pango.pc.in                   |  1 -
 pango/Makefile.am             |  3 ---
 pango/modules.c               | 10 ----------
 pango/modules.h               | 35 -----------------------------------
 pango/pango-engine.c          |  7 ++++++-
 pango/pango-engine.h          | 30 ++++++++++++++++++++++++++----
 pango/pango-modules.h         |  2 ++
 pango/pangocoretext-fontmap.c |  1 -
 pango/pangofc-fontmap.c       |  1 -
 pango/pangowin32-fontmap.c    |  1 -
 13 files changed, 35 insertions(+), 60 deletions(-)

commit 4e5e6cf3946846c0cbdb449314473acafce7947a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 19:35:08 2015 -0700

    [win32] Don't read pango.aliases

    Part of Bug 733882 - Kill Pango modules, engines, and config files

 pango/pangowin32-fontmap.c | 54
 ----------------------------------------------
 1 file changed, 54 deletions(-)

commit 2fc870895bb1ad6d3b28dd013927a4ddde2a102d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 19:15:12 2015 -0700

    [win32] Another try to fix make distcheck

    Sigh.

 pango/Makefile.am | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit be24f3fb3125f1622858edb7c9ca14f8687a8858
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 19:07:47 2015 -0700

    [win32] Unbreak make distcheck

    Win32 maintainer, please...

 build/win32/vs10/Makefile.am | 7 ++++---
 build/win32/vs9/Makefile.am  | 7 ++++---
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 386473844c0764cb171e874fee09abaf2dfec7f6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 19:02:42 2015 -0700

    [win32] Unbreak dist

 pango/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit b579c59f20e0fb8dd38d5e9779087d28f38f9fe6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 19:01:21 2015 -0700

    [win32] Unbreak build

    What is this...

 build/win32/vs11/Makefile.am | 18 ------------------
 build/win32/vs12/Makefile.am | 18 ------------------
 2 files changed, 36 deletions(-)

commit bd2b3257b4af0c122cb794f9a7d95c866875dd01
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 18:53:50 2015 -0700

    Unbreak docs build

 docs/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a7f37279b29fa4ce9f2b38f8102424cb6723ba9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 18:49:27 2015 -0700

    Minor

 NEWS | 6 ------
 1 file changed, 6 deletions(-)

commit 137832fa931e875b900dedd1c8909b46d1f7e8ad
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 18:46:20 2015 -0700

    [modules] Move language modules in source tree and remove modules/

    This should complete the kill-modules effort.  What is left is
    leftover
    removal and unbreaking stuff.

    Bug 733882 - Kill Pango modules, engines, and config files

 Makefile.am                     |   2 +-
 configure.ac                    | 200 +-------------------------
 docs/Makefile.am                |   1 -
 modules/Makefile.am             |   8 --
 modules/arabic/Makefile.am      |  14 --
 modules/arabic/arabic-lang.c    | 152 --------------------
 modules/indic/Makefile.am       |  14 --
 modules/indic/indic-lang.c      | 309
 ----------------------------------------
 modules/thai/Makefile.am        |  17 ---
 modules/thai/thai-lang.c        | 148 -------------------
 pango/Makefile.am               |  46 +-----
 pango/break-arabic.c            |  91 ++++++++++++
 pango/break-indic.c             | 208 +++++++++++++++++++++++++++
 pango/break-thai.c              |  90 ++++++++++++
 pango/break.c                   |  86 +++++++++--
 pango/module-defs-fc.c.win32    |   9 --
 pango/module-defs-lang.c.win32  |  11 --
 pango/module-defs-win32.c.win32 |   9 --
 pango/module-defs.h.win32       |  29 ----
 pango/pango-context.c           |  19 +--
 pango/pango-engine-private.h    |   4 +-
 21 files changed, 476 insertions(+), 991 deletions(-)

commit ef69cbb18b00d7e454cf881a8f58bdabad04ecef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 17:07:07 2015 -0700

    Fix MT-unsafe initializations

 pango/pangocoretext.c    | 4 ++--
 pango/pangofc-font.c     | 4 ++--
 pango/pangoft2-fontmap.c | 2 +-
 pango/pangowin32.c       | 9 +++++----
 4 files changed, 10 insertions(+), 9 deletions(-)

commit 1a767088167b2b71fdc0f8663cd3e1ba7e919862
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 16:56:07 2015 -0700

    [break] Call language engine on each script change

    In preparation for merging all language engines into one.

 pango/break.c | 31 ++++---------------------------
 1 file changed, 4 insertions(+), 27 deletions(-)

commit e0a880a032600da88faf34d4e5b43b3c3773b2eb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 16:38:53 2015 -0700

    [modules] Fixup pango_map_get_engines() after recent changes

 pango/modules.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 231d860cd45814f7fd445194bb41af7e0e113c4c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 4 16:14:33 2015 -0700

    Increase number of features per run

 pango/pangofc-shape.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2561b8cec54ca1108422a6f41c5ce840d2f5f966
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 25 13:23:49 2014 -0800

    Deprecate pango_font_map_get_shape_engine_type()

 pango/pango-fontmap.c | 1 +
 1 file changed, 1 insertion(+)

commit 61fbcd17a292196745edd6d8bf8d865b58fc54ba
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 29 18:26:14 2014 +0000

    Hide internal symbol

 pango/pango-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44447b1baa7bea0a492de70a25580e901a7ff7b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 28 20:27:13 2014 -0400

    [coretext] Reverse glyphs if right-to-left

    The shape.c layer is doing this for clumsy backends but warns.
    Fix properly.

 pango/pangocoretext-shape.c | 1 +
 1 file changed, 1 insertion(+)

commit 7d30b3f91958a3ff45ee2b8e5de2b6186cadfb72
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 28 18:37:36 2014 -0400

    Deprecate module system, skip it for shaper modules

    Now shaper is discovered via (previously unused!) font->find_shaper().
    I'm keeping that just to allow clients override shaping.  Though,
    even that I'm not sure we want to keep.

    Wraps shaper in PangoEngineShape structs to keep PangoAnalysis API
    intact.

    Deprecated pango-modules.h and some pango-engine.h.  Language modules
    are not moved yet.

    Wired up PangoFc, PangoWin32, and PangoCoretext shapers.

 configure.ac                  |   4 +-
 pango/modules.c               | 439
 +++---------------------------------------
 pango/pango-context.c         | 176 +++++------------
 pango/pango-engine.h          |  32 ++-
 pango/pango-modules.h         |   4 +
 pango/pangocoretext-fontmap.c |   4 -
 pango/pangocoretext-private.h |  11 +-
 pango/pangocoretext-shape.c   |  89 ++-------
 pango/pangocoretext.c         |  35 +++-
 pango/pangocoretext.h         |   3 +-
 pango/pangofc-font.c          |  49 +++--
 pango/pangofc-font.h          |   4 +-
 pango/pangofc-fontmap.c       |  11 --
 pango/pangofc-fontmap.h       |   2 +-
 pango/pangofc-private.h       |   9 +-
 pango/pangofc-shape.c         |  85 +-------
 pango/pangowin32-fontmap.c    |   4 -
 pango/pangowin32-private.h    |  12 +-
 pango/pangowin32-shape.c      | 147 ++------------
 pango/pangowin32.c            |  55 ++++--
 20 files changed, 259 insertions(+), 916 deletions(-)

commit 14c11dd96e1547aaede1bb05a0243f5b0b53186e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 18:11:16 2014 -0400

    Move shapers from modules/basic/ into pango/

    Note wired up yet.  Doesn't build.

 configure.ac                   |  13 +-
 modules/Makefile.am            |   1 -
 modules/basic/Makefile.am      |  36 --
 modules/basic/basic-coretext.c | 547 -------------------------
 modules/basic/basic-fc.c       | 483 -----------------------
 modules/basic/basic-win32.c    | 877
 -----------------------------------------
 pango/Makefile.am              |  11 +-
 pango/pangocoretext-shape.c    | 546 +++++++++++++++++++++++++
 pango/pangofc-shape.c          | 483 +++++++++++++++++++++++
 pango/pangowin32-shape.c       | 877
 +++++++++++++++++++++++++++++++++++++++++
 10 files changed, 1915 insertions(+), 1959 deletions(-)

commit cfe9ce995d7e12a3e3f64c923123337d5dba25b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 17:39:46 2014 -0400

    Kill module.def and Module.mk

 modules/Makefile.am        | 4 ----
 modules/Module.mk          | 7 -------
 modules/arabic/Makefile.am | 8 +++++++-
 modules/basic/Makefile.am  | 8 +++++++-
 modules/indic/Makefile.am  | 8 +++++++-
 modules/module.def         | 5 -----
 modules/thai/Makefile.am   | 8 +++++++-
 7 files changed, 28 insertions(+), 20 deletions(-)

commit 88c066452a252149d1e51387ae989f532603820c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 17:36:10 2014 -0400

    Remove unused / obsolete pango-zip.sh.in and sanitize-la.sh

 Makefile.am     |  2 --
 configure.ac    |  1 -
 pango-zip.sh.in | 47 -----------------------------------------------
 sanitize-la.sh  |  3 ---
 4 files changed, 53 deletions(-)

commit 8d97bd8d9f12fc42f1c2136e7c193dff1b2fc2e0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 17:35:01 2014 -0400

    Kill PANGO_MODULE_VERSION

 config.h.win32.in          | 6 ------
 configure.ac               | 6 ------
 pango-view/viewer-render.c | 1 -
 pango-zip.sh.in            | 2 --
 pango.pc.in                | 2 --
 5 files changed, 17 deletions(-)

commit 39391e428afd6c2a7cc9892d9c3f46f88b856996
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 10:05:00 2014 +0200

    Kill unused pangorc file

 modules/Makefile.am        |  3 +--
 modules/pangorc            |  3 ---
 pango-view/Makefile.am     |  9 +--------
 pango-view/viewer-render.c | 10 +---------
 tests/Makefile.am          |  9 +--------
 tests/dump-boundaries.c    |  2 --
 6 files changed, 4 insertions(+), 32 deletions(-)

commit 81904127fe1107b6c0db4ce50c3d44cdf63b7f67
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:57:03 2014 +0200

    Deprecate pango_config_key_get*

    The config file was used solely for dynamic module paths, but
    they have
    been killed.

 pango/pango-utils.c | 142
 +++-------------------------------------------------
 pango/pango-utils.h |   2 +
 2 files changed, 8 insertions(+), 136 deletions(-)

commit bc88f6809a6befdbb9a59b628ecc84901ab9d486
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:48:52 2014 +0200

    [modules] Simplify build a bit

 configure.ac               | 8 +-------
 modules/Makefile.am        | 7 -------
 modules/Module.mk          | 7 -------
 modules/arabic/Makefile.am | 5 +----
 modules/basic/Makefile.am  | 8 ++------
 modules/indic/Makefile.am  | 4 +---
 modules/thai/Makefile.am   | 4 ++--
 pango/Makefile.am          | 8 ++++----
 8 files changed, 11 insertions(+), 40 deletions(-)

commit fa6dfc688c293fa02c36ee89ac5611fd5e0131a5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:33:58 2014 +0200

    [modules] Kill pango-querymodules

    It serves no purpose now.

 configure.ac                |  31 +----
 docs/Makefile.am            |  23 +---
 docs/pango-docs.sgml        |   5 -
 docs/pango-querymodules.xml | 131 ------------------
 pango-zip.sh.in             |   1 -
 pango/Makefile.am           |  18 ---
 pango/querymodules.c        | 323
 --------------------------------------------
 7 files changed, 4 insertions(+), 528 deletions(-)

commit 9da68205689f5a1c7c15043f3b6c0dac341cb147
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:15:11 2014 +0200

    [modules] Kill build tree pango.modules file

 modules/Makefile.am | 45 ---------------------------------------------
 modules/pangorc     |  5 -----
 pango-zip.sh.in     |  1 -
 3 files changed, 51 deletions(-)

commit 0b4e22662cee7af89c1877b3271579c1487dfad7
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:03:46 2014 +0200

    [modules] Stop loading dynamic modules

    We are not building dynamic modules anymore.

 pango/modules.c | 352
 +-------------------------------------------------------
 1 file changed, 3 insertions(+), 349 deletions(-)

commit 64492e1897a3510661e49754d0c7d7f7b58d640c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 09:00:28 2014 +0200

    [modules] Don't build any dynamic modules

 configure.ac               | 74
 ++++++++--------------------------------------
 modules/Makefile.am        |  7 +----
 modules/Module.mk          | 23 +-------------
 modules/arabic/Makefile.am | 12 +-------
 modules/basic/Makefile.am  | 21 -------------
 modules/indic/Makefile.am  | 12 +-------
 modules/thai/Makefile.am   | 12 +-------
 pango/Makefile.am          |  2 --
 8 files changed, 18 insertions(+), 145 deletions(-)

commit 7e7159e48164ef0487ba039555ee0418972340e7
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 26 08:38:55 2014 +0200

    [modules] Build all modules statically by default

 configure.ac | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 2ae57392de417554b7d6e37adea1b99396ef578a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 3 17:10:25 2015 -0700

    Allow disabling OpenType features from fontconfig

    For example:

    <!--match target="font">
      <edit name="fontfeatures" mode="append">
        <string>liga off</string>
        <string>dlig off</string>
      </edit>
    </match-->

    The format is like CSS font-feature-settings.

 modules/basic/basic-fc.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b137e7b099a1e67db0612c280b5ae8bd3ccb9455
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 13 00:11:07 2015 -0400

    Add tests for PangoAttributes

    These tests exercise PangoAttribute, PangoAttrList and
    PangoAttrIterator apis.

 tests/Makefile.am      |   7 +
 tests/testattributes.c | 630
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 637 insertions(+)

commit a2b0c3367d75b066a18914e7ab820c3e2229fc5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 12 21:51:35 2015 -0400

    Split out some test functions

    These will be reused later.

 tests/Makefile.am   |   7 ++
 tests/test-common.c | 204
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/test-common.h |  22 ++++++
 tests/test-layout.c | 176 ++-------------------------------------------
 4 files changed, 240 insertions(+), 169 deletions(-)

commit 5a00bdb4873056749a833173112d78d578f82c72
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 16:35:00 2015 +0800

    MSVC Builds: Rename "Install" Project

    Rename the install projects to pango-install, so that they can
    be easier
    integrated into grand solution files that are used to build items,
    such as
    the entire GTK+ or Clutter stack.

 build/win32/vs10/Makefile.am           |   2 +-
 build/win32/vs10/install.vcxproj       | 206
 ---------------------------------
 build/win32/vs10/pango-install.vcxproj | 206
 +++++++++++++++++++++++++++++++++
 build/win32/vs10/pango.sln             |   2 +-
 build/win32/vs11/Makefile.am           |   2 +-
 build/win32/vs12/Makefile.am           |   2 +-
 build/win32/vs9/Makefile.am            |   2 +-
 build/win32/vs9/install.vcproj         | 137 ----------------------
 build/win32/vs9/pango-install.vcproj   | 137 ++++++++++++++++++++++
 build/win32/vs9/pango.sln              |   2 +-
 10 files changed, 349 insertions(+), 349 deletions(-)

commit 48fc4fa07e5fe513f4eb7ee061fb9e1a04d733e8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 4 19:34:45 2015 +0800

    MSVC Builds: "Install" the .pdb files

    To make it easier for people to develop and debug Pango on Windows,
    especially as the builds already generate the .pdb's.

 build/win32/vs10/pango-install-bin.props  | 38
 +++++++++----------------------
 build/win32/vs9/pango-install-bin.vsprops | 21 +++++++++--------
 2 files changed, 22 insertions(+), 37 deletions(-)

commit f1e3f39f49b59ff8c156097de28f631009807532
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 4 19:32:54 2015 +0800

    MSVC 2010+ Builds: Update .pdb Generation

    Make the .pdb filenames like the ones generated by the MSVC 2008
    builds,
    that follows the names of the DLLs.  Also, use the /d2Zi+ flag so
    that more
    useful information is logged into the .pdb files, in particular
    the release
    builds.

 build/win32/vs10/pango-build-defines.props | 2 ++
 1 file changed, 2 insertions(+)

commit 8914c1a2d67ad318c873d8501e060c18d505b47f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 4 19:04:17 2015 +0800

    MSVC Builds: Speed Up Release Builds

    This adds the /MP option to the compiler, which can cut down on the
    build time of release builds by quite a bit, by using multi-processor
    or multi-core capabilities.  This will, however, emit a brief warning
    with debug builds, but the code will otherwise build normally.

 build/win32/vs10/pango-build-defines.props  | 1 +
 build/win32/vs9/pango-build-defines.vsprops | 1 +
 2 files changed, 2 insertions(+)

commit 1ca76d068af22cbc98a6c24e4f4faf15038d6f21
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 3 17:19:10 2015 -0800

    Bug 743692 - Irish pangram (sample text) is inappropriate

    https://bugzilla.gnome.org/show_bug.cgi?id=743692

 pango/pango-language-sample-table.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1aeef5865ab83304b815484045fc1ded038608d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 10 11:52:54 2015 -0500

    Avoid uninitialized memory

    pango_default_break() was not clearing the is_char_break field,
    causing unwanted breaks in the middle of clusters, occasionally.

    Patch by Gene Hightower,
    https://bugzilla.gnome.org/show_bug.cgi?id=744118

 pango/break.c | 1 +
 1 file changed, 1 insertion(+)

commit a5338500f5af46f41200fa71ac07f91e89d7e02d
Author: Max <verem@m1stereo.tv>
Date:   Wed Oct 22 07:19:00 2014 +0000

    Increase MAX_FREED_FONTS value

    Increasing MAX_FREED_FONTS value should make fontset's cache
    working normally because of long alias list and available
    fonts under Windows 7.

    https://bugzilla.gnome.org/show_bug.cgi?id=738868

 pango/pangowin32.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92a4e7bb6d767b7e5ba4826738e0f9e068b4b9f9
Author: Max <verem@m1stereo.tv>
Date:   Wed Oct 22 07:07:00 2014 +0000

    Fix weak pointer leak

    This patch fixes a leak with lost weak references in fontset.

    https://bugzilla.gnome.org/show_bug.cgi?id=738868

 pango/pangowin32.c | 3 +++
 1 file changed, 3 insertions(+)

commit 91024c84f73ddefb4bde174e0a1689b2d136a9b6
Author: Cody Russell <cody@jhu.edu>
Date:   Fri Oct 31 22:43:01 2014 -0500

    Check kCTFontCondensedTrait when creating from CTFontDescriptionRef.

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=734372

 pango/pangocoretext-fontmap.c | 3 +++
 1 file changed, 3 insertions(+)

commit fa6ded9b0d065634481d8ae4126fdea0b88e3558
Author: Evan Nemerson <evan@nemerson.com>
Date:   Fri May 30 19:21:11 2014 -0700

    Add many missing nullability annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=731022

 pango/break.c                |  2 +-
 pango/fonts.c                | 49
 +++++++++++++++++++++++---------------------
 pango/glyphstring.c          | 20 +++++++++---------
 pango/modules.c              |  4 ++--
 pango/pango-attributes.c     | 22 ++++++++++----------
 pango/pango-color.c          | 13 ++++++------
 pango/pango-context.c        | 15 +++++++-------
 pango/pango-coverage.c       |  4 ++--
 pango/pango-engine.h         | 20 +++++++++---------
 pango/pango-fontmap.c        |  8 ++++----
 pango/pango-glyph-item.c     | 12 +++++------
 pango/pango-gravity.c        |  2 +-
 pango/pango-item.c           | 10 ++++-----
 pango/pango-language.c       | 22 ++++++++++----------
 pango/pango-layout.c         | 47
 ++++++++++++++++++++++--------------------
 pango/pango-matrix.c         | 16 +++++++--------
 pango/pango-ot-buffer.c      |  6 ++++--
 pango/pango-ot-info.c        | 13 +++++++-----
 pango/pango-ot-ruleset.c     |  6 ++++--
 pango/pango-ot-tag.c         |  2 +-
 pango/pango-ot.h             | 13 +++++++-----
 pango/pango-renderer.c       | 21 +++++++++----------
 pango/pango-renderer.h       |  5 +++--
 pango/pango-utils.c          | 16 +++++++--------
 pango/pangocairo-context.c   | 19 +++++++++--------
 pango/pangocairo-font.c      |  2 +-
 pango/pangocairo-fontmap.c   | 10 ++++-----
 pango/pangofc-font.c         |  6 ++++--
 pango/pangofc-font.h         | 13 ++++++------
 pango/pangofc-fontmap.c      |  4 ++--
 pango/pangofc-fontmap.h      | 30 +++++++++++++--------------
 pango/pangoft2-render.c      |  3 ++-
 pango/pangoft2.c             |  5 +++--
 pango/pangowin32-fontcache.c |  8 ++++----
 pango/pangowin32.c           |  3 ++-
 pango/pangoxft-font.c        |  5 +++--
 pango/pangoxft-render.c      |  3 ++-
 37 files changed, 241 insertions(+), 218 deletions(-)

commit adb5a4e86b09b0935ec1dd71bf05ac41807c84a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 1 10:33:04 2014 -0400

    Bump version to 1.37

    New development might happen.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c2a40e3b35a37f76f353655d9220dd94156fb89c
Author: Cody Russell <cody@jhu.edu>
Date:   Sun Sep 28 15:47:46 2014 -0500

    [coretext] NULL check in ct_font_descriptor_get_weight()

    Ensure that CFDictionaryGetValue() didn't return NULL before we
    call CFNumberGetValue().

    https://bugzilla.gnome.org/show_bug.cgi?id=736697

 pango/pangocoretext-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e0a21abf52a0b7588b1aa3357818948816ed9103
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 22 14:29:40 2014 -0400

    1.36.8

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit bda622c386a0b04478a9116c6b9534c023ca2446
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 19 11:43:15 2014 -0400

    Update expected test results

    Update the expected output of the layout tests to the previous
    change.

 tests/layouts/valid-1.expected |  6 +++---
 tests/layouts/valid-2.expected | 10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 2a8eed93477304317ccedfdea8ea46fb9779ee69
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 19 11:33:14 2014 -0400

    Don't compare fonts in the layout test

    For some reason (that I haven't been able to track down), this
    fails in the installed tests on build.gnome.org.

 tests/test-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d1945ed2c602e295e433ce7e9e1ecbc6600c76a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 8 11:55:06 2014 -0400

    Add some tests for PangoFontDescription

    This just a small beginning, much more is needed here.

 tests/Makefile.am |  2 ++
 tests/test-font.c | 92
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

commit 7b36ee404c22495e33c66cc4d755671a16089bdf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 6 14:31:43 2014 -0400

    Try to fix the test on build.gnome.org

    For some reason, the test-layout test does not show the
    font size when run on build.gnome.org. Try harder to make
    it use the Cantarell 11 font that I want it to use.

 tests/test-layout.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit f7ffec46581ee8d45c7d9480168a167c86c766d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 3 15:47:46 2014 -0400

    1.36.7

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit cfe6663ed90db3edde9564f6513c0fbc9e776c68
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 3 15:43:00 2014 -0400

    layout tests: Adapt expected output

    We see the 'ellipsized' analysis flag in the output now,
    as we should.

 tests/layouts/valid-1.expected | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d984352b5edb9e0f5c7d07956f0562288865ff37
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 3 15:37:02 2014 -0400

    test-layout: Better error reporting

    Run diff over the output to give a meaningful error if the
    comparison fails.

 tests/test-layout.c | 70
 +++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 62 insertions(+), 8 deletions(-)

commit d23a0b0820ff5ea37e9dd71b3589039760e230c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 2 18:18:21 2014 -0400

    PangoGlyphItem: Better treatment of ellipsized runs

    When we reapply non-shape attributes, we must take care to
    not add any attributes that start in the middle of an
    ellipsized run, or we end up with a blue, underlined ellipsis
    if there is a link anywhere inside the ellipsized text.

    https://bugzilla.gnome.org/show_bug.cgi?id=735732

 pango/pango-glyph-item.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 95ccc8910223d7d092f4cc30c93b4a5f9dcd301a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 30 14:09:19 2014 -0400

    Add an analysis flag to mark the ellipsis run

    Without this, it is hard to determine if you are 'inside the
    ellipsis'. We need to know this in GTK+, e.g. to skip link
    processing.

    I decided not to turn the flags into an enum at the time to
    avoid possible language binding problems.

    https://bugzilla.gnome.org/show_bug.cgi?id=735719

 pango/ellipsize.c  |  2 ++
 pango/pango-item.h | 13 +++++++++++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 0068b78276c4ac7df95d97fa270a5e8ca4b58348
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 30 20:20:00 2014 -0400

    Add tests for PangoLayout

    This tests works similar to the markup parser tests -
    we populate a layout with known data, and then compare
    a dump of its properties with expected output.

 tests/Makefile.am              |  23 +-
 tests/layouts/valid-1.expected |  35 +++
 tests/layouts/valid-1.markup   |   2 +
 tests/layouts/valid-2.expected |  34 +++
 tests/layouts/valid-2.markup   |   2 +
 tests/test-layout.c            | 487
 +++++++++++++++++++++++++++++++++++++++++
 6 files changed, 580 insertions(+), 3 deletions(-)

commit 92e7b73e27f54db86d58dcb5b4ddaafb32101980
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 30 14:11:04 2014 -0400

    Revert "Fix leftover markup in docs"

    This reverts commit 19a252d9a3d63e7816f9a77bab65bd161675440a.

 pango/pango-attributes.c  |  2 +-
 pango/pango-color.c       |  3 ++-
 pango/pango-engine.h      | 59
 ++++++++++++++++++++++++-----------------------
 pango/pango-glyph-item.h  | 22 +++++++++---------
 pango/pango-language.c    | 35 ++++++++++++++--------------
 pango/pango-layout.c      | 17 +++++++-------
 pango/pango-renderer.c    |  2 +-
 pango/pangocairo-render.c |  2 +-
 8 files changed, 73 insertions(+), 69 deletions(-)

commit 19a252d9a3d63e7816f9a77bab65bd161675440a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 30 13:11:09 2014 -0400

    Fix leftover markup in docs

 pango/pango-attributes.c  |  2 +-
 pango/pango-color.c       |  3 +--
 pango/pango-engine.h      | 59
 +++++++++++++++++++++++------------------------
 pango/pango-glyph-item.h  | 22 +++++++++---------
 pango/pango-language.c    | 35 ++++++++++++++--------------
 pango/pango-layout.c      | 17 +++++++-------
 pango/pango-renderer.c    |  2 +-
 pango/pangocairo-render.c |  2 +-
 8 files changed, 69 insertions(+), 73 deletions(-)

commit 5d319c5989d599e9e867df76795eb81472b4db7a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 28 01:19:29 2014 -0400

    Add tests for pango markup

    This test is modeled after the GMarkup parser tests in GLib.
    Test file with a name ending in .markup can be dumped in
    tests/markups/, and tests/markup-parse can be used to generate
    the expected output files which should be in the same location
    and with the extension .markup replaced by .expected.

    The test is also used as an installed test.

 tests/Makefile.am              |  18 ++-
 tests/markup-parse.c           | 249
 +++++++++++++++++++++++++++++++++++++++++
 tests/markups/fail-1.expected  |   1 +
 tests/markups/fail-1.markup    |   1 +
 tests/markups/valid-1.expected |  12 ++
 tests/markups/valid-1.markup   |   1 +
 tests/markups/valid-2.expected |  12 ++
 tests/markups/valid-2.markup   |   1 +
 tests/markups/valid-3.expected |  18 +++
 tests/markups/valid-3.markup   |  11 ++
 tests/markups/valid-4.expected |  38 +++++++
 tests/markups/valid-4.markup   |   1 +
 12 files changed, 360 insertions(+), 3 deletions(-)

commit 0c827ee95c4ff6564eefabb519d00bfcccd046fe
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Aug 19 15:27:34 2014 +0800

    MSVC Builds: Fix "Installation"

    Make sure we only try to create the directory for pango.aliases
    if that
    file didn't exist.  This cleans things up a little, and avoids weird
    MSBuild batch errors.

 build/win32/vs10/pango-install.propsin  | 2 --
 build/win32/vs9/pango-install.vspropsin | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit a78778e54f7cc013080fda9d9349ad113ecb3e0e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 16 09:05:00 2014 -0400

    Updates for 1.36.6

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8441321866247a0a6c2f4b11a3c3863005bfba44
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 10 19:23:29 2014 -0400

    [coretext] Minor fix

 modules/basic/basic-coretext.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 729e7678cd6a691e6a423c716bda55177c540de7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 10 19:22:58 2014 -0400

    [coretext] Bug 734174 Crashes on OS  Yosemite

 modules/basic/basic-coretext.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 051aa4844b9e60cbeae0e6088aa33d192de06621
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Aug 1 23:33:09 2014 +0200

    doap: add <programming-language>

 pango.doap | 1 +
 1 file changed, 1 insertion(+)

commit c53b48e5a3a46784c5008f692cfbf24d75571f10
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 31 10:48:37 2014 -0400

    Add more Hangul jamo to previous commit

    https://github.com/GNOME/pango/commit/61aeba6257ec7691a7a5222fb69aec3cc042435b#commitcomment-7215250

 pango/pango-context.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 61aeba6257ec7691a7a5222fb69aec3cc042435b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 30 18:58:14 2014 -0400

    Don't break run in the middle of Hangul jamo sequence

    See comments.

    Bug 705727 - Incorrect rendering w/ Hangul syllable composition GSUB
    https://bugzilla.gnome.org/show_bug.cgi?id=705727

 pango/pango-context.c | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit 2b414de9d93989950667d5642b548d427a89dc1c
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:41:01 2014 +0200

    doap category core

 pango.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f60fbff29c729244bae42712b2b3a7fd2a11f5a1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 29 11:36:30 2014 -0400

    Bug 733898 - Fix build of pangocairo-fontmap.c

 pango/pangocairo-fontmap.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 4866be2c7b252182ec81ba2880fd2740afa20633
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 29 10:58:56 2014 -0400

    [win32] Invert y_offset

    All these years, in the win32 backend, the y_offset was inverted.
    Ie. no vertical glyph positioning worked, ever...  Sigh.

 modules/basic/basic-win32.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8d4d42e7b34ef625677a7adae020b0e6c7ebc136
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 29 10:58:25 2014 -0400

    [coretext] Reverse glyphs if right-to-left

    The shape.c layer is doing this for clumsy backends but warns.
    Fix properly.

 modules/basic/basic-coretext.c | 4 ++++
 1 file changed, 4 insertions(+)

commit caa226bc36d4d449b89a6eab6c0d24a5bba2658c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 28 18:20:42 2014 -0400

    [pangocairo] Fix backend selection through $PANGOCAIRO_BACKEND

 pango/pangocairo-fontmap.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit cda5d4ffb5ad9e48da235a7a97ae3fe8b782e6aa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 26 17:33:14 2014 -0400

    [coretext] Support PANGO_WEIGHT_SEMILIGHT

    We should interpolate.  Added TODO.  Don't have a coretext build so
    don't want to break it.

    Bug 733764 - Support more / free font weights

 pango/pangocoretext-fontmap.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 40f5c151e911464cb9da569d8ceee88f52fcbfbf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 26 16:27:59 2014 -0400

    [fc] Use FcWeightTo/FromOpenType() if available

    This makes the weight mapping a continuous, as ooposed to a step
    function.

    Last piece of Bug 733764 - Support more / free font weights

 configure.ac            | 6 ++++++
 pango/pangofc-fontmap.c | 8 ++++++++
 2 files changed, 14 insertions(+)

commit b30a04708823c14fc9fef81294bfb2b87ac5df7a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 26 16:22:20 2014 -0400

    More PANGO_WEIGHT_SEMILIGHT

    Previous commit was incomplete.

 pango/pangofc-fontmap.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6a1420c22bb1365bac94cc979053b558ba328796
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 18:24:32 2014 -0400

    Add PANGO_WEIGHT_SEMILIGHT

    Part of Bug 733764 - Support more / free font weights

 pango/fonts.c           | 2 ++
 pango/pango-font.h      | 2 ++
 pango/pangofc-fontmap.c | 4 +++-
 pango/pangofc-private.h | 6 ++++++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit 9f221d657e98d2dff377420a02cd91c6411b9c5a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 18:17:51 2014 -0400

    [win32] Bug 733764 - Support more / free font weights

 pango/pangowin32-fontmap.c | 38 ++++----------------------------------
 1 file changed, 4 insertions(+), 34 deletions(-)

commit 424008bd763abfa881ea8c6fac669062cbcfa83d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:03:13 2014 -0400

    Accept PANGOCAIRO_BACKEND=fc as alias to fontconfig

 pango/pangocairo-fontmap.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8aa4afb3c2700279efb057bb7ad63c613ec20387
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 12:27:48 2014 -0400

    Fix introspection includes

    Inspired by:
    https://github.com/Alexpux/MINGW-packages/tree/master/mingw-w64-pango

 pango/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1a043201e0b1ef4496ada1e980e66996570b1efe
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 12:21:53 2014 -0400

    [pangocairo] Allow backend selection

    Based on:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-pango/0008-allow-backend-selection.mingw.patch

 pango/pangocairo-fontmap.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 1075fc4bd12df3b81bdfb94f6a2c960595e98a3f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 11:42:13 2014 -0400

    Give CC to gir-scanner

    From:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-pango/0006-give-cc-to-gir-scanner.mingw.patch

 pango/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 25ddf43c0185e3c7935414618bd21aee0c35dfe2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 14 12:53:12 2014 -0400

    Bug 733137 - Don't force no static builds on Win32

 configure.ac | 11 -----------
 1 file changed, 11 deletions(-)

commit 9f67b924eb662f498f4e643ed740ce84640968f7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 11 12:05:45 2014 -0400

    Prevent HarfBuzz from using REPLACEMENT CHARACTER

    Needed after this:
    https://github.com/behdad/harfbuzz/commit/efe74214bbb68eaa3d7621e73869b5d58210107e

 modules/basic/basic-fc.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit fe66e7b36331d031f1025dbe05db065334381fee
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 1 16:04:51 2014 +0800

    MSVC 2012/2013 Support: Update Property Sheet Creation

    Be a bit more carful when copying and updating the property sheets,
    so that
    we don't accidently change fields with '10' in them that are
    actually not
    indicating the Visual Studio version.

 build/Makefile-newvs.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e895f9e56353448842c333a37a3f92f9b58e79f0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 1 13:46:46 2014 +0800

    Build: Provide Simple Support for MSVC 2012/2013

    As the Visual Studio 2012/2013 are only slightly different from
    the Visual
    Studio 2010 projects, we can provide support for them by using
    scripts to
    copy the Visual Studio 2010 projects, and update the specific parts as
    necessary.  Thus, there would be little maintenance overhead for
    these as
    only the 2010 projects need to be kept up-to-date as a result.

    This might change when we do get the stack working with WinRT/Metro,
    but
    that's going to be another totally different issue.

 build/Makefile-newvs.am      | 37 +++++++++++++++++++++++++++++++++++++
 build/win32/Makefile.am      |  6 +++++-
 build/win32/vs11/Makefile.am | 28 ++++++++++++++++++++++++++++
 build/win32/vs12/Makefile.am | 28 ++++++++++++++++++++++++++++
 configure.ac                 |  2 ++
 5 files changed, 100 insertions(+), 1 deletion(-)

commit 33b83516e17a6a34265d036f9e02b272cd1b436a
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Thu Jun 26 13:15:38 2014 +0200

    pango: Don't fail to initialize if LC_CTYPE is not set

    g_once_init_leave() does not work on NULL, and just returns... and
    all future calls to g_once_init_enter() will block forever.

    Happens on Android, so let's just fall back to the C locale if there's
    nothing else we can do.

    https://bugzilla.gnome.org/show_bug.cgi?id=732276

 pango/pango-language.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 4cf39ece01babd61ccbee37295fbdb77d8ce46cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 24 13:38:32 2014 -0400

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41b2e15167bf3a6ef2d682ccaf8530a4ba44f061
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 24 13:29:00 2014 -0400

    1.36.5

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 858704140e35058ee074f2929d7d06a3c2bb1951
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jun 24 10:26:37 2014 -0600

    Revert "build: Require Harfbuzz 0.9.29"

    This reverts commit e728c4c3659cc0ead406344b4cf98c0676cb769e.

    See previous commit for explanation.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 394b2789c7a4f7c6071f4e5b83e3cf9876d50608
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jun 24 10:26:08 2014 -0600

    Revert "ot-info: Update after API break in HarfBuzz"

    This reverts commit 4901fb74b3c1137d13a6b7e4e8784577c1816e47.

    The removed API was added back to HarfBuzz.  So, no need for this.

 pango/pango-ot-info.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit a788c729989f4f116ecd6742895d06da1a75c80c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 23 14:05:51 2014 -0400

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64113b70adff816d1d7885500abfb99461e40838
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 23 13:35:22 2014 -0400

    1.36.4

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4901fb74b3c1137d13a6b7e4e8784577c1816e47
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jun 20 11:39:15 2014 +0100

    ot-info: Update after API break in HarfBuzz

 pango/pango-ot-info.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit e728c4c3659cc0ead406344b4cf98c0676cb769e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jun 20 11:38:19 2014 +0100

    build: Require Harfbuzz 0.9.29

    There has been an API change in HB:

        -hb_ot_layout_language_get_required_feature_index
        +hb_ot_layout_language_get_required_feature

    Commit: da132937989acb4d8ca9bd41c79f98750e7dda30

    So we need to bump the dependency.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 715ed720eced19967a88871c9712d8e4e4de03b9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jun 20 11:26:33 2014 +0100

    Fix introspection annotation

    Missing colon broke the g-ir-scanner.

 pango/shape.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aee1d73950792744af73d7cec5cb867906c225af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 10 19:46:55 2014 -0400

    Update PangoWeight documentation

    A while ago, we added a weight of 1000 to the enumeration, but
    neglected to update the allowed values in the documentation.
    Fix that.

 pango/pango-font.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 809246a62d5ca91f7321f8239db50b77eaaef021
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 9 10:49:53 2014 +0800

    MSVC 2010+ Projects: Update "Installation" Process

    Currently, due to the way that Visual Studio 2010+ projects are
    handled,
    the "install" project does not re-build upon changes to the sources,
    as it
    does not believe that its dependencies have changed, although
    the changed
    sources are automatically recompiled.  This means that if a part
    or more
    of the solution does not build, or if the sources need some other
    fixes
    or enhancements, the up-to-date build is not copied automatically,
    which
    can be misleading.

    Improve on the situation by forcing the "install" project to
    trigger its
    rebuild, so that the updated binaries can be copied.  This does
    trigger an
    MSBuild warning, but having that warning is way better than not
    having an
    up-to-date build, especially during testing and development.

 build/win32/vs10/install.vcxproj         | 52
 +++++++++++++++++---------------
 build/win32/vs10/pango-install-bin.props |  2 +-
 build/win32/vs10/pango-install.propsin   | 14 ++++++++-
 3 files changed, 42 insertions(+), 26 deletions(-)

commit 35fbbe32ae49cb80130be4d0cd7d375dfef6d2ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 31 00:19:57 2014 -0400

    testsuite: put installed tests in the right place

    Follow the prevailing practice and put the installed tests
    into $libdir/installed-tests/$PACKAGE instead of
    $pkglibdir/installed-tests.

 tests/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c039b91c429383826ca4becbcb4c87e9d7c983b4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu May 8 17:13:52 2014 -0400

    Typo

    Oops

 pango/pango-renderer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17fc3aad5a0084ac8c31b09807bf8e03a01569b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu May 8 17:00:30 2014 -0400

    Bug 729840 - Missing annotation for get_color

 pango/pango-renderer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6a7834465b3e188744673f8e335737464e4d15de
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 9 20:50:50 2014 -0700

    [win32] Fixup previous commit

 pango/pangowin32-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b75a1c26e3436c58b6ce2b56e31768ad115b6bed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 9 16:55:12 2014 -0700

    [win32] Improve threadsafety

    Based on patch from Chun-wei Fan.  Original patch comments:

    Improve the thread-safety situation on Windows by only allowing the
    pango_aliases_ht GHashTable be populated once.

    Pango on Windows is not yet thread-safe, but with the thread safety
    patch on Cairo-Win32-Font[1], it does seem that the test program
    test-pangocairo-threads does not crash randomly anymore, which seems
    to be an improvement.

    [1]: https://bugs.freedesktop.org/show_bug.cgi?id=73012

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=695913

 pango/pangowin32-fontmap.c | 46
 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 124a3728b5b73a6204bdea66cc502916e0847e69
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 2 11:52:01 2014 +0800

    MSVC Builds: Fix "Installation" for MSVC 2010 and Later

    We need to create $(prefix)\etc\pango before trying to create
    a default
    pango.aliases file, otherwise it wouldn't work.

 build/win32/vs10/pango-install.propsin | 2 ++
 1 file changed, 2 insertions(+)

commit 2432e6a180a18933d45de91f03f4abcc9eae8e8c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 17 21:17:12 2014 -0400

    Bump version

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit f8b1566e81af9e36ac018af4f0ae85ee7db4b8fd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 17 20:47:36 2014 -0400

    Update the pango_color_parse docs

    https://bugzilla.gnome.org/show_bug.cgi?id=711061

 pango/pango-color.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 27693187e309f7e7fbb2f75a709e71dd4119428e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Feb 25 13:16:51 2014 +0800

    MSVC Builds: Update Introspection Build Process

    GObject-Introspection was recently changed to support acquiring the
    name of
    the DLL from a library (.lib, etc) that was passed into g-ir-scanner
    on
    Windows, like the *nix builds, instead of directly passing in the
    name of
    the DLL.

    This updates the introspection build process, so that introspection
    files
    for Pango can continue to be properly built.

 build/pango-introspection-msvc.mak | 15 +++------------
 1 file changed, 3 insertions(+), 12 deletions(-)

commit 05e4927ab0b7b4ead30c47c26e881711a1724d63
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 21 13:38:04 2014 +0800

    build/Makefile-msvcproj.am: Remove Generated Intermediate Files

    Delete libpangocairo.vs10.sourcefiles and
    libpangocairo.vs10.sourcefiles.filters once we are done with them,
    so to
    fix make distcheck

 build/Makefile-msvcproj.am | 2 ++
 1 file changed, 2 insertions(+)

commit 44d90b5771bf08e0e900596eb3a4db78c10d7f23
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Feb 12 18:39:27 2014 +0900

    Avoid a crash when FT_Face is null

    https://bugzilla.gnome.org/show_bug.cgi?id=724006

 pango/pango-ot-info.c | 3 +++
 1 file changed, 3 insertions(+)

commit d8e2dc00c8d28e1bf8b443208497ce1ab25e0af4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 11 12:37:33 2014 -0500

    Fix cairotwisted curve_length()

 examples/cairotwisted.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07de8494412e6d735c5fa04aa8bdf1632582d098
Author: Iain Lane <iain.lane@canonical.com>
Date:   Fri Feb 7 13:59:14 2014 +0000

    Fix tests for builddir != srcdir by setting G_TEST_{SRC,BUILD}DIR

 tests/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit f324a942455cd68fc4a97327a61ed6492f1f1f40
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 4 14:09:42 2014 -0500

    1.36.2

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d574d9820bbea053f5a8b4c0be5fbc1c5dfef69c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 16 11:37:21 2014 +0800

    [coretext] Default DPI to 96 instead of 72

 pango/pangocairo-coretextfontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58699f3d00aeac5728a4ddd5d57d4bd1f06adfe4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jan 13 15:42:29 2014 +0800

    MSVC Introspection Build: Fix build

    Link and run the dumper program firstly against the build of ATK from
    the same tarball, then linking to the other dependent libraries which
    this build of ATK was built against before finally trying to link and
    run against other existing builds.

    This is especially important for unstable releases, as APIs are often
    added and dependent upon during development cycles.

 build/pango-introspection-msvc.mak | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e3334e924b4a80919cff9b90b529fe5ddc257a19
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jan 13 14:03:50 2014 +0800

    build/introspection-msvc.mak: Fix Default typelib Path

 build/introspection-msvc.mak | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c825bb054b38d0cc78f878d115189ff32a4773a2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jan 10 16:58:38 2014 +0800

    MSVC Builds: Rework Introspection Build

    The current approach of building the introspection files for Pango
    works,
    but is often cumbersome as one needs to set many environmental
    variables
    before launching a solution file, which runs a Windows batch script to
    generate the .gir/.typelib files. It was also possible to hand-run the
    batch script from the Visual Studio command prompt, but even more
    environmental variables need to be set.

    This changes the approach to build the introspection files using
    an NMake
    Makefile (but elimating from the Visual Studio Project Files the
    part to
    build the introspection files) to:

    -Make it clearer to the person building the introspection files what
     environmental variables are needed, specifically for PKG_CONFIG_PATH
     and
     MINGWDIR and CFG (formerly CONF). Setting stuff like VSVER, PLAT and
     BASEDIR is no longer required, which was a bit clunky.
    -Allows some more easier flexibility on the build of the intropsection
     files.

 build/Makefile.am                    |   6 ++
 build/gen-file-list-pango.py         | 161
 +++++++++++++++++++++++++++++++++
 build/introspection-msvc.mak         |  79 ++++++++++++++++
 build/pango-introspection-msvc.mak   | 106 ++++++++++++++++++++++
 build/testsrules_msvc.mak            |  72 +++++++++++++++
 build/win32/Makefile.am              |   4 +-
 build/win32/gen-file-list-pango.py   | 154
 -------------------------------
 build/win32/gengir_pango.bat         | 169
 -----------------------------------
 build/win32/vs10/Makefile.am         |   2 -
 build/win32/vs10/gengir.vcxproj      | 112 -----------------------
 build/win32/vs10/pango-gengir.props  |  31 -------
 build/win32/vs10/pango.sln           |  10 ---
 build/win32/vs9/Makefile.am          |   2 -
 build/win32/vs9/gengir.vcproj        |  77 ----------------
 build/win32/vs9/pango-gengir.vsprops |  21 -----
 build/win32/vs9/pango.sln            |  14 ---
 16 files changed, 425 insertions(+), 595 deletions(-)

commit a6c318ee505aeabe6f84e1543d68834b9e0e7acf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 15 18:42:17 2013 -0500

    Bug 720379 - SIGFPE in pango_layout_iter_get_char_extents()

    Untested.

 pango/pango-layout.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit f9c83d3e0ec5d086fca6495a7e9aac7fbae1f9ca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 3 18:03:11 2013 -0500

    Fix build --withincluded-modules

    According to Doug Felt:

    pango's configure dies with --with-included-modules=yes, because when
    have_libthai is true, thai_modules ends up being ",thai-lang", and
    all_modules (and included_modules) ends up containing ',,'.

    for module in $included_modules;

    ends up with module='' and the case $module falls back to default,
    which
    calls as_fn_error.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 922e4973475db9420c8de9e3f634271738ce920f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 3 16:22:02 2013 -0500

    [git.mk] Update

 Makefile.am | 17 +++--------------
 git.mk      | 21 +++++++++++++--------
 2 files changed, 16 insertions(+), 22 deletions(-)

commit 10dc44e0bb9f974782ed6d01a7a65634d0921aee
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 13 17:01:38 2013 +0800

    modules/basic/basic-win32.c: Silence a Warning

    The length is an unsigned int, and it is already enforced that it must
    be greater or equal to 0 in this source file, so fix the type
    declaration.

 modules/basic/basic-win32.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9d6799320b4cf941f513fed5e44c537ba1d7b6f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Dec 5 17:48:46 2013 +0800

    MSVC 2008 Projects: More cleanups

    We don't have the *_FC configs in the Pango and PangoWin32 projects
    anymore, so get rid of all remaining traces of them in these
    projects, like
    the MSVC 2010 ones.

 build/win32/vs9/pango.vcprojin    | 8 --------
 build/win32/vs9/pangowin32.vcproj | 4 ----
 2 files changed, 12 deletions(-)

commit c940e9cee5bbfbb43dddbb7f610374d89ad81a1d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 17:20:06 2013 +0800

    Remove the original "big" MSVC2010 property sheet

 build/win32/vs10/pango.propsin | 243
 -----------------------------------------
 1 file changed, 243 deletions(-)

commit 9f2c369bd8a1a966b2c75bdf07c3fbb1e01f5c69
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 17:18:30 2013 +0800

    Split up the MSVC 2010 property sheets

    Split up the property sheets so that their maintenance can be
    simplified

 build/win32/vs10/Makefile.am               | 15 ++++---
 build/win32/vs10/gengir.vcxproj            |  8 ++--
 build/win32/vs10/install.vcxproj           | 32 +++++++--------
 build/win32/vs10/pango-build-defines.props | 42 +++++++++++++++++++
 build/win32/vs10/pango-gengir.props        | 31 ++++++++++++++
 build/win32/vs10/pango-ignore-fc.props     | 26 ++++++------
 build/win32/vs10/pango-install-bin.props   | 65
 ++++++++++++++++++++++++++++++
 build/win32/vs10/pango-install.propsin     | 60
 +++++++++++++++++++++++++++
 build/win32/vs10/pango-prebuild.props      | 53 ++++++++++++++++++++++++
 build/win32/vs10/pango-version-paths.props | 53 ++++++++++++++++++++++++
 build/win32/vs10/pango.vcxprojin           | 12 ++++--
 build/win32/vs10/pangocairo.vcxprojin      | 16 ++++----
 build/win32/vs10/pangoft2.vcxprojin        |  8 ++--
 build/win32/vs10/pangowin32.vcxproj        |  8 ++--
 14 files changed, 371 insertions(+), 58 deletions(-)

commit 23ce626acc74c767add6fa6c43060727dbcc606f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 16:16:29 2013 +0800

    Split up the MSVC 2008 Property Sheets

    ...so that the maintenance of these files would be easier

 build/win32/vs9/Makefile.am                 |  15 ++-
 build/win32/vs9/gengir.vcproj               |   8 +-
 build/win32/vs9/install.vcproj              |  32 ++---
 build/win32/vs9/pango-build-defines.vsprops |  37 ++++++
 build/win32/vs9/pango-gengir.vsprops        |  21 ++++
 build/win32/vs9/pango-install-bin.vsprops   |  40 ++++++
 build/win32/vs9/pango-install.vspropsin     |  36 ++++++
 build/win32/vs9/pango-prebuild.vsprops      |  35 ++++++
 build/win32/vs9/pango-version-paths.vsprops |  49 ++++++++
 build/win32/vs9/pango.vcprojin              |  10 +-
 build/win32/vs9/pango.vspropsin             | 185
 ----------------------------
 build/win32/vs9/pangocairo.vcprojin         |  20 ++-
 build/win32/vs9/pangoft2.vcprojin           |  10 +-
 build/win32/vs9/pangowin32.vcproj           |   8 +-
 14 files changed, 268 insertions(+), 238 deletions(-)

commit ca7d1cf957864fad0470c70511565c6b5def705d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 15:15:26 2013 +0800

    build/win32/vs*/README.txt: Update build information

    As there is no longer a pango_fc.sln solution file, tell the people
    to use
    the *_fc configs if building PangoFT2 and PangoCairo with FreeType/
    FontConfig support with the Visual Studio Projects is desired.

 build/win32/vs10/README.txt | 4 ++--
 build/win32/vs9/README.txt  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ed2e1ac3c6cbedef02e0753ad73bc91560280c30
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 15:10:21 2013 +0800

    Visual Studio 2010 Projects: Improve Optimization

    Turn on Whole Program Optimization/Link Time Code Generation for
    release
    builds to improve optimization a bit

 build/win32/vs10/pango.vcxprojin      | 2 ++
 build/win32/vs10/pangocairo.vcxprojin | 4 ++++
 build/win32/vs10/pangoft2.vcxprojin   | 2 ++
 build/win32/vs10/pangowin32.vcxproj   | 2 ++
 4 files changed, 10 insertions(+)

commit 78395d1df00dc7002b1763daffb5c8894888e5aa
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 14:59:45 2013 +0800

    Cleanup the Visual Studio 2008 Project Files

    Combine the non-PangoFT2 and PangoFT2 builds into one single
    solution file
    and remove configs in the Pango and PangoWin32 projects that aren't
    really
    necessary.  Also use Link Time Code Generation for release builds to
    improve optimization a bit.

 build/win32/vs9/Makefile.am             |   2 +-
 build/win32/vs9/install.vcproj          |  16 ++--
 build/win32/vs9/pango-ignore-fc.vsprops |  12 +++
 build/win32/vs9/pango.sln               |  59 ++++++++++++++
 build/win32/vs9/pango.vcprojin          | 135
 +++-----------------------------
 build/win32/vs9/pango.vspropsin         | 102 +++++++++++++++---------
 build/win32/vs9/pango_fc.sln            |  82 -------------------
 build/win32/vs9/pangocairo.vcprojin     |  20 +++--
 build/win32/vs9/pangoft2.vcprojin       |   6 +-
 build/win32/vs9/pangowin32.vcproj       | 135
 ++------------------------------
 10 files changed, 177 insertions(+), 392 deletions(-)

commit 610b82073ff1774d7897502412fe885ab9770853
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 14:36:20 2013 +0800

    build/win32/vs10/pango.propsin: Fix .lib installation

    Missed out the $(Platform) part when building the FontConfig
    flavor, so
    make it up.

 build/win32/vs10/pango.propsin | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 96b93126858ad09fc0be802d554d53b0f7e7695d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 13:17:26 2013 +0800

    build/win32/vs10/pango.propsin: Improve DLL "installation"

    Make the DLL installation more flexible, as one might still prefer
    to use
    the autotools style DLL naming for the Visual Studio builds.

 build/win32/vs10/pango.propsin | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 69501d6348e41014d729fe064755d4f79dce26f7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 12:47:03 2013 +0800

    build/win32/vs10/pangowin32.vcxproj: Clean up

    We don't really need the NoFCDef here, as this DLL has nothing to
    do with
    FreeType, like the main Pango DLL.  FreeType matters when we build
    PangoCairo (and the cxx-test.c and pango-view) though.

 build/win32/vs10/pangowin32.vcxproj | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6e068cdf7082de07681096eac688011378defafb
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 12:41:08 2013 +0800

    build/win32/vs10/pango.vcxprojin: Clean up

    We don't really need to NoFCDef here, so remove that.

 build/win32/vs10/pango.vcxprojin | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 54f0ce4de22e0af9c4ef3c040bfc366ab2c75750
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 3 12:39:17 2013 +0800

    Update config.h.win32.in

    Make its entries more consistent to the autotools-generated
    config.h.in,
    and update MODULE_VERSION to 1.8.0, as that was missed.

 config.h.win32.in | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 05f7dcda500e83e5cec87cc05e2ba2f8a6d28a8d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 29 12:38:07 2013 +0000

    pango-utils: Fix a potential strtol(NULL) call

    parse_int() is called by pango_parse_enum(), which permits the enum
    string to be NULL. This string is passed directly through to
    parse_int()
    and then to strtol(), which is tagged as nonnull.

    Found by scan-build.

    https://bugzilla.gnome.org/show_bug.cgi?id=719549

 pango/pango-utils.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 280a23e7f75dac7de0f5ec5cf627bbea21b2242f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 2 17:45:15 2013 +0800

    build/Makefile-msvcproj.am: Cleanup

    Remove lines that were left out in the last commit

 build/Makefile-msvcproj.am | 2 --
 1 file changed, 2 deletions(-)

commit bbeb1a45ab3c14194b565e5786645822bd0ef8f8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 2 17:34:51 2013 +0800

    Clean up the Visual Studio 2010 projects

    Use a single solution file for the non-PangoFT2 and PangoFT2 builds,
    and
    use a single PangoCairo project for these builds too.  Also get rid of
    configurations that we don't really need in the Pango and PangoWin32
    projects.

 build/Makefile-msvcproj.am                       |  18 ---
 build/win32/vs10/Makefile.am                     |   6 +-
 build/win32/vs10/install.vcxproj                 |  16 +-
 build/win32/vs10/pango-ignore-fc.props           |  14 ++
 build/win32/vs10/pango.propsin                   |  68 ++++++--
 build/win32/vs10/pango.sln                       |  54 +++++++
 build/win32/vs10/pango.vcxprojin                 | 150 +-----------------
 build/win32/vs10/pango_fc.sln                    |  65 --------
 build/win32/vs10/pangocairo.vcxproj.filtersin    |   2 +
 build/win32/vs10/pangocairo.vcxprojin            | 170
 +++++++++++++++++++-
 build/win32/vs10/pangocairo_fc.vcxproj.filtersin |  29 ----
 build/win32/vs10/pangocairo_fc.vcxprojin         | 191
 -----------------------
 build/win32/vs10/pangowin32.vcxproj              | 135 +---------------
 13 files changed, 309 insertions(+), 609 deletions(-)

commit 0f7f77785692cb7c72078335414e764c7081f643
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 25 16:07:22 2013 +0800

    build/win32/vs10/gengir.vcxproj: Add PlatformToolset tag

    This makes it easier to upgrade to Visual Studio 2012/2013 formats,
    like
    the other *.vcxproj files in Pango.

 build/win32/vs10/gengir.vcxproj | 4 ++++
 1 file changed, 4 insertions(+)

commit 5b56434feee4dcf19cef95a98854d5b5e0007381
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 11 11:41:42 2013 -0500

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c4f5ec21c7221e8e7a5d0198b0ca6f1a479ae68
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 11 11:01:39 2013 -0500

    1.36.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 8be9097e75611ccdc818ca6af9028c52df772b70
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 30 12:50:41 2013 -0400

    Update git.mk

 git.mk | 122
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 102 insertions(+), 20 deletions(-)

commit fbb05a88a35871378a2967b38e67f974439f115f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 27 15:09:56 2013 -0400

    Doc fixups

 docs/pango-docs.sgml  | 12 ++++++++++++
 pango/pango-fontmap.c |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 6d08bcab0d2821365a2ffd955cbbb07270565664
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 27 14:36:51 2013 -0400

    Bug 685167 - migrate docs to no-tmpl flavour

    Patch from Rafał Mużyło.

 configure.ac                      |    2 +-
 docs/pango-docs.sgml              |    4 -
 docs/pango-sections.txt           |    1 +
 docs/tmpl/bidi.sgml               |  108 ----
 docs/tmpl/coretext-fonts.sgml     |   40 --
 docs/tmpl/coverage-maps.sgml      |  140 -----
 docs/tmpl/engines.sgml            |  120 -----
 docs/tmpl/fonts.sgml              | 1036
 -------------------------------------
 docs/tmpl/freetype-fonts.sgml     |  228 --------
 docs/tmpl/glyphs.sgml             |  694 -------------------------
 docs/tmpl/layout.sgml             |  938
 ---------------------------------
 docs/tmpl/main.sgml               |  478 -----------------
 docs/tmpl/modules.sgml            |   90 ----
 docs/tmpl/opentype.sgml           |  554 --------------------
 docs/tmpl/pango-engine-lang.sgml  |   56 --
 docs/tmpl/pango-engine-shape.sgml |   57 --
 docs/tmpl/pango-renderer.sgml     |  246 ---------
 docs/tmpl/pango-version.sgml      |  115 ----
 docs/tmpl/pangocairo.sgml         |  441 ----------------
 docs/tmpl/pangofc-decoder.sgml    |   58 ---
 docs/tmpl/pangofc-font.sgml       |  130 -----
 docs/tmpl/pangofc-fontmap.sgml    |  241 ---------
 docs/tmpl/scripts.sgml            |  280 ----------
 docs/tmpl/tab-stops.sgml          |  150 ------
 docs/tmpl/text-attributes.sgml    |  833 -----------------------------
 docs/tmpl/utils.sgml              |  222 --------
 docs/tmpl/vertical.sgml           |  155 ------
 docs/tmpl/win32-fonts.sgml        |  267 ----------
 docs/tmpl/xft-fonts.sgml          |  311 -----------
 pango/fonts.c                     |   13 +
 pango/modules.c                   |   21 +
 pango/pango-attributes.c          |   13 +-
 pango/pango-attributes.h          |  217 +++++++-
 pango/pango-bidi-type.c           |   22 +-
 pango/pango-break.h               |   53 ++
 pango/pango-context.c             |   18 +-
 pango/pango-coverage.c            |   12 +-
 pango/pango-coverage.h            |   21 +
 pango/pango-engine.c              |   39 ++
 pango/pango-engine.h              |   46 ++
 pango/pango-font.h                |  234 +++++++++
 pango/pango-fontmap.h             |   68 +++
 pango/pango-fontset.h             |   42 ++
 pango/pango-glyph-item.h          |   64 +++
 pango/pango-glyph.h               |   55 ++
 pango/pango-gravity.c             |   60 ++-
 pango/pango-item.h                |   28 +
 pango/pango-language.c            |    9 +
 pango/pango-language.h            |    5 +
 pango/pango-layout.c              |   50 +-
 pango/pango-layout.h              |   43 ++
 pango/pango-modules.h             |   11 +
 pango/pango-ot-buffer.c           |    2 +-
 pango/pango-ot-info.c             |   10 +
 pango/pango-ot-private.h          |   18 +
 pango/pango-ot-ruleset.c          |   12 +
 pango/pango-ot.h                  |  149 ++++++
 pango/pango-script.c              |   11 +-
 pango/pango-script.h              |  102 ++++
 pango/pango-tabs.c                |   14 +
 pango/pango-tabs.h                |   11 +
 pango/pango-types.h               |  104 +++-
 pango/pango-utils.c               |   18 +
 pango/pango-utils.h               |   44 ++
 pango/pangocairo-context.c        |    2 +-
 pango/pangocairo-render.c         |  133 +++++
 pango/pangocairo.h                |   14 +
 pango/pangocoretext.c             |    8 +
 pango/pangocoretext.h             |    6 +
 pango/pangofc-decoder.c           |    8 +
 pango/pangofc-font.c              |   18 +
 pango/pangofc-fontmap.c           |   21 +
 pango/pangofc-fontmap.h           |    4 +-
 pango/pangoft2-fontmap.c          |   21 +-
 pango/pangoft2-render.c           |   11 +
 pango/pangoft2.c                  |   15 +-
 pango/pangoft2.h                  |   13 +
 pango/pangowin32-fontcache.c      |    5 +
 pango/pangowin32-fontmap.c        |    4 +-
 pango/pangowin32.c                |    8 +
 pango/pangowin32.h                |    6 +
 pango/pangoxft-font.c             |   30 ++
 pango/pangoxft-fontmap.c          |    4 +-
 pango/pangoxft.h                  |   26 +
 pango/shape.c                     |   10 +
 85 files changed, 1975 insertions(+), 8026 deletions(-)

commit bb5c4c8497157afddcb5ced7e16c5dad4e893a03
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Wed Sep 25 14:50:15 2013 -0400

    pango_attr_iterator_get_font(): handle scaling absolute font sizes

    When handling PANGO_ATTR_SCALE on a font description with an absolute
    size, properly preserve the absolute flag when setting the scaled
    size.

    https://bugzilla.gnome.org/show_bug.cgi?id=708778

 pango/pango-attributes.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9d2ff982c2c0a9b7ca96bb05416b4c0a92c8db18
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 23 06:41:36 2013 -0400

    1.36.0

 NEWS         | 7 +++++++
 configure.ac | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 6973d5223a3deafbf4f09074778e7d7d45e94463
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 20 13:14:12 2013 -0400

    Bug 708432 - gravity_map in fonts.c: "Upside-Down" should be

    PANGO_GRAVITY_NORTH instead of PANGO_GRAVITY_SOUTH?

 pango/fonts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05fe0e7443026b8504da32fd8bc92433cacdb431
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 10 17:34:04 2013 -0400

    Correct an annotation

    The annotation for pango_layout_set_attributes should be
    'transfer none', not 'transfer full'. Pointed out in
    https://bugzilla.gnome.org/show_bug.cgi?id=707874

 pango/pango-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 114d5bfe9d54d1efabc233312d2c23267cf16f59
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Sep 9 17:12:50 2013 +0200

    layout: Never return NULL from pango_layout_get_text()

    layouts get initialized with text == NULL as an optimization (avoid a
    malloc). But pango_layout_set_text (layout, NULL, 0); will set
    the text
    to "", so it is impossible to set a NULL text.

    Fxies crashers in various places that assume NULL return values never
    happen.

    https://bugzilla.gnome.org/show_bug.cgi?id=707659

 pango/pango-layout.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 285be5bd7ee3ce87bb027b405be674d6f91995d1
Author: Jehan <jehan@girinstud.io>
Date:   Wed Sep 4 13:04:47 2013 +1200

    Bug 707131 - removing useless test.

    Since pango_scan_int() would return FALSE if the scanned value
    was over
    INT_MAX; and the reference out value's type is an int, (n > INT_MAX)
    test is unecessary.
    If pango_scan_int() behavior was to be changed to accept long
    int, an explicit test should be added (or the PangoAttrSize
    type updated to handle long int too).

 pango/pango-markup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 009ef189885fc8aca305372ead467fa05afe3747
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 2 14:55:57 2013 -0400

    1.35.3

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit e8d1c3f32b38cbd4e39d389ba103af33302bf01a
Author: Jehan <jehan@girinstud.io>
Date:   Sat Aug 31 03:02:41 2013 +1200

    Bug 707131 - getting rid of the arbitrary MAX_SIZE for font.

    Since the value is stored as an int, no reason to use any other value
    than INT_MAX.

 pango/pango-markup.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 14b0697a59f51dd017038ca2bb79ba2c2f4034df
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 30 14:14:22 2013 -0400

    Bug 703995 - Compiler warnings about strict aliasing

    Patch from Akira TAGOH.

 pango/pango-context.c     |  4 ++--
 pango/pango-engine.c      |  4 ++--
 pango/pango-utils.c       | 12 ++++++------
 pango/pangocairo-fcfont.c |  4 ++--
 pango/pangofc-fontmap.c   |  4 ++--
 pango/pangoft2-fontmap.c  |  4 ++--
 6 files changed, 16 insertions(+), 16 deletions(-)

commit ce791d34b18215bd89a31d9eeac9e72b2b8ceb77
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 19 23:01:33 2013 -0400

    1.35.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e799af1f05513b756e8ed93a8eed82c24637f7b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 4 18:13:22 2013 -0400

    Bug 705007 - sometimes the ordering of text is reversed

    Fix all-RTL reordering.  Oops!

 pango/pango-layout.c | 2 ++
 1 file changed, 2 insertions(+)

commit fcd74a7e711cf19efe8c6932b463acf419bdb33b
Author: Kristian Rietveld <kris@lanedo.com>
Date:   Wed Jun 12 19:32:03 2013 +0200

    Bypass line reordering if all runs have the same direction

 pango/pango-layout.c | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit 54410621434c229bb719c9dfd7253863e0579474
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 21 09:24:25 2013 -0400

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 935a355f8046da01dbd3a34a47705905f5ae68d7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 21 09:14:16 2013 -0400

    1.35.1

 NEWS         | 8 ++++++++
 configure.ac | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 8ac9fc7faeff8908448e9da09a43873e2e0fe376
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 7 21:10:44 2013 -0400

    Avoid hard-dep on bleeding-edge GLib

    If new test api is not available, do without it. In this
    case, the tests won't work installed, but they should still
    work uninstalled and in distcheck.

 tests/Makefile.am          |  1 +
 tests/testboundaries.c     |  5 +++++
 tests/testboundaries_ucd.c | 16 ++++++++++++++++
 3 files changed, 22 insertions(+)

commit d489ad061d70526fc5f5cdae2273e9deabea6a17
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 6 19:57:55 2013 -0400

    Don't change fonts just for space characters

    Back in the days we used to always use the font from surrounding runs
    for any space characters.  I changed that when I found that rendering
    MathML results in hexboxes when a font doesn't have the space
    characters
    needed...

    Forward to these days: HarfBuzz will silently compatibility-decompose
    any space character to the ASCII space.  And looks like it's important
    for Mongolian to not break runs around NNBSP.  As such, go back
    to never
    choosing a font just for space characters.

    Seems to work, though more testing is needed.

    Bug 701652 - wrong shaped classic Mongolian word suffixes

 pango/pango-context.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e17b595e3bacfb7333bab6fcd1c62d05e7228936
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri May 31 18:02:03 2013 -0400

    Make tests installable

    This ensures that tests are run continuously on ostree.gnome.org.

 configure.ac               | 13 +++++++++-
 tests/Makefile.am          | 34 +++++++++++++++++++-----
 tests/test-ot-tags.c       |  8 +++---
 tests/testboundaries.c     | 26 ++++++++++---------
 tests/testboundaries_ucd.c | 65
 +++++++++++++++++++++++++++++++++-------------
 tests/testcolor.c          | 23 +++++++++-------
 tests/testiter.c           | 17 ++++++++----
 tests/testscript.c         |  6 ++---
 8 files changed, 133 insertions(+), 59 deletions(-)

commit 6c16dfe8ad012a2551d0270a0325574e9ce3cef7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 27 17:24:04 2013 -0400

    Bug 700577 - Support invalid UTF-8 chars in
    pango_find_paragraph_boundary()

 pango/break.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe8d5ce6975bda30839413f71ab3e192a582300b
Author: Colin Walters <walters@verbum.org>
Date:   Fri May 24 18:04:49 2013 +0100

    build: Add --with(out)-cairo configure option

    Some builders (e.g. GNOME and jhbuild) hard depend on pangocairo,
    and we really don't want to emit a build of pango without support
    for it.  So jhbuild can specify --with-cairo, and we'll get
    a hard error.

 configure.ac | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 49712d6381f25fe3785694fea7804988c1067a24
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 15 14:40:45 2013 -0400

    Require cairo >= 1.12.10

    Needed for threadsafety bug fixes.

    Bug 700247 - test-pangocairo-threads segfaults

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e3dfe8b6ce6f9ddd68ba150906d1d711ad1433c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 13 11:34:10 2013 -0400

    1.34.1

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1aeb5c840e25a7d8538f701659d77dcd7b3a8444
Author: José Aliste <jaliste@src.gnome.org>
Date:   Tue Apr 30 23:13:45 2013 -0400

    don't break words between a letter adjacent to a number

    Newer Unicode specs (6.2 for instance)
    say that one should not break between letter or numbers
    that are adjacent. This also makes us to match word selection
    with many text capable apps.

 pango/break.c | 19 ++-----------------
 1 file changed, 2 insertions(+), 17 deletions(-)

commit 5b38ec2ff9f26b0e3204ba79c1d1b5c0d2b92edb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu May 2 13:41:32 2013 -0400

    Fix CoreText font scaling again

    This partially reverts 25ad29b488d3e2ae10e4fee25602409fa39207f1
    which itself was a revert.  Apparently we want the change in
    CoreText, but not on Win32...

    See mailing list discussion.

 pango/pangocairo-coretextfont.c | 2 ++
 1 file changed, 2 insertions(+)

commit c184d3ac66c13a10e83431948e19303af19b3242
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 26 14:50:57 2013 -0400

    Update win32/coretext shaper signature

 modules/basic/basic-coretext.c | 4 +++-
 modules/basic/basic-win32.c    | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 522532b4fd790601a700b2c58d41b1c1cfd3ef14
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 25 15:24:12 2013 -0400

    Minor

 pango/pango-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4542138d3b847601e0973e5b980decb2e9711aca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 4 19:26:17 2013 -0400

    Bug 696238 - PangoAttrFilterFunc vs pango_attr_list_filter docs

 pango/pango-attributes.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fde69a643f6dfb8f1974ab4829643ae0299b43b1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 25 22:09:54 2013 -0400

    1.34.0

 NEWS         | 4 ++++
 configure.ac | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 48018bb55a19b405359e0a9b58b9a7a3b02e6863
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 18 18:35:49 2013 -0400

    1.33.10

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3dfc0ea485fd8bf745d53dd33c74fea617280a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 18 18:31:03 2013 -0400

    1.33.9

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 324a5eec22d7f30dc911814a18f2993f4d4b0b12
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Mar 18 16:37:01 2013 +0800

    Visual Studio Builds: Fix the Debug configs

    We need to link to the Debug CRT for debug configs, not the release
    CRTs,
    as linking to different CRTs will cause trouble during debugging.

 build/win32/vs10/pango.vcxprojin         | 4 ++--
 build/win32/vs10/pangocairo.vcxprojin    | 4 ++--
 build/win32/vs10/pangocairo_fc.vcxprojin | 4 ++--
 build/win32/vs10/pangoft2.vcxprojin      | 2 +-
 build/win32/vs10/pangowin32.vcxproj      | 4 ++--
 build/win32/vs9/pango.vcprojin           | 4 ++--
 build/win32/vs9/pangocairo.vcprojin      | 8 ++++----
 build/win32/vs9/pangoft2.vcprojin        | 2 +-
 build/win32/vs9/pangowin32.vcproj        | 4 ++--
 9 files changed, 18 insertions(+), 18 deletions(-)

commit 992e4d27c8e66c8f8cf9df5f143759654967cbab
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 06:32:36 2013 -0400

    [test] Fix scale

 tests/test-pangocairo-threads.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0942b1962d2ee8574c0aff345eb871e2daccea1e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 06:13:09 2013 -0400

    Bug 682846 - Use G_DEFINE_TYPE in pangowin32-fontmap

    Based on patch from Chun-wei Fan.

 pango/pangocairo-win32fontmap.c |  2 --
 pango/pangowin32-fontmap.c      | 76
 ++++++++++++-----------------------------
 pango/pangowin32-private.h      |  1 +
 3 files changed, 22 insertions(+), 57 deletions(-)

commit 71006c534a5599f0a69f4bd9b6677b2a6ad5adb3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 06:03:52 2013 -0400

    Call g_type_init if necessary

 pango/pangocairo-fontmap.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit eaf18c76ac132c488a274b0ecd1206c4097aedd9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 06:01:08 2013 -0400

    Remove unused code

 pango/pangocairo-win32font.c | 26 +-------------------------
 1 file changed, 1 insertion(+), 25 deletions(-)

commit 16e4dd37e5fdd231a32bba6a1238ff01408c783d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 05:57:52 2013 -0400

    Port PangoWin32 to use GWeakRef

    Patch from Chun-wei Fan.

 pango/pangowin32-fontmap.c |  8 ++++----
 pango/pangowin32.c         | 12 ++++++------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit e95a0ecd5d1bbcc0c96fc52160edc18292f66f04
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Mar 15 05:56:14 2013 -0400

    Use g_snprintf()

 tests/test-pangocairo-threads.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 480fb1d6eee13092e50ceb213fcc7eeb4b52e52f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 6 15:58:29 2013 +0800

    Update Visual Studio property sheets

    Add commands to be used for building introspection files.

 build/win32/vs10/pango.propsin  | 40
 ++++++++++++++++++++++++++++++----------
 build/win32/vs9/pango.vspropsin | 33 +++++++++++++++++++++++++++------
 2 files changed, 57 insertions(+), 16 deletions(-)

commit 0d4ab34441a94f65a50fe5b9153fb5f534223610
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 6 12:50:14 2013 +0800

    Update Visual Studio Solution files

    Integrate the utility project files to build the introspection files.

    This is not built by default, so one may choose to build the
    introspection
    files if he/she chooses

 build/win32/vs10/pango.sln |  6 ++++++
 build/win32/vs9/pango.sln  | 10 ++++++++++
 2 files changed, 16 insertions(+)

commit 44ad377d70724fc85be5965a9ee85aa58c9b5c04
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 6 12:48:31 2013 +0800

    Visual Studio builds: Support building introspection files

    Add Windows .bat and Python utility script to call g-ir-scanner
    to build
    the introspection files for Pango/MSVC builds.  This will read from
    pango/Makefile.am to determine the source and header files to
    process using
    Python REGEX capabilities, so the autotools files won't have to
    be updated
    except to distribute the necessary files under build/win32.

    Also add utility Visual Studio 2008/2010 projects to call the
    Windows .bat
    to create the introspection files.

    https://bugzilla.gnome.org/show_bug.cgi?id=692255

 build/win32/Makefile.am            |   5 +-
 build/win32/gen-file-list-pango.py | 154
 +++++++++++++++++++++++++++++++++
 build/win32/gengir_pango.bat       | 169
 +++++++++++++++++++++++++++++++++++++
 build/win32/vs10/Makefile.am       |  49 +++++------
 build/win32/vs10/gengir.vcxproj    | 108 ++++++++++++++++++++++++
 build/win32/vs9/Makefile.am        |  27 +++---
 build/win32/vs9/gengir.vcproj      |  77 +++++++++++++++++
 7 files changed, 551 insertions(+), 38 deletions(-)

commit 8b720bc3ae50dd6483f21e81578e98fb8f18a43b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 4 21:51:22 2013 -0500

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8e1a928075e7c7096821978d44cc2bc207f42c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 4 21:22:51 2013 -0500

    1.33.8

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 91ca088e6d233c9904bafd3a449d4f83ac9d05a0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 4 17:54:32 2013 -0500

    Bug 694882 - build broken - introspection of pangoxft2 and pangoxft
    miss libpang-1.0.la in _gir_LIBS

 pango/Makefile.am | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 25ad29b488d3e2ae10e4fee25602409fa39207f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 4 17:45:03 2013 -0500

    Revert "Fix Win32 and CoreText cairo backends to take cairo CTM
    into account"

    This reverts commit b359bb484bc7d27a835cfd6d9ffcaed582ebf2ae.

    Bug 694918 - Pango layout is rendered in wrong size if we have
    non-identity cairo transformation matrix

    I was wrong blindly copying this logic from pangocairo-fc into
    pangocairo-win32 and pangocairo-quartz.

    The reason we need the it in pangofc is because the fontsize we
    get back from fontconfig is multiplied by the ctm scale factor,
    so we undo it when loading the font.  The same is NOT true about
    the non-fc backends, so the copying was totally wrong.

 pango/pangocairo-coretextfont.c | 2 --
 pango/pangocairo-win32font.c    | 3 ---
 2 files changed, 5 deletions(-)

commit 786781e6eb44444632a3b7fab5c8ef8cbaccb4fa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Feb 27 20:05:51 2013 -0500

    Bug 694830 - Fails make check: +pango_font_map_changed

 pango/pango.def | 1 +
 1 file changed, 1 insertion(+)

commit 0b79a1f80bcb85e0e1971d86336881eaa47c8a21
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 26 10:48:08 2013 +0100

    PangoFc: change FontMap in pango_fc_font_map_clear_cache()

    https://bugzilla.gnome.org/show_bug.cgi?id=694626

 pango/pangofc-fontmap.c | 2 ++
 1 file changed, 2 insertions(+)

commit c5f43d1869373d9e05588c9a13841b5416583e29
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 26 10:46:28 2013 +0100

    Add pango_font_map_changed()

    This is needed as a base class sometimes needs to invalidate
    the fontmap.

    https://bugzilla.gnome.org/show_bug.cgi?id=694626

 pango/pango-fontmap.c              | 23 +++++++++++++++++++++++
 pango/pango-fontmap.h              |  3 ++-
 pango/pangocairo-coretextfontmap.c | 11 +++++++++++
 pango/pangocairo-fcfontmap.c       | 11 +++++++++++
 pango/pangocairo-win32fontmap.c    | 11 +++++++++++
 pango/pangocoretext-fontmap.c      | 11 +++++++++++
 pango/pangoft2-fontmap.c           | 12 ++++++++++++
 pango/pangoxft-fontmap.c           | 12 ++++++++++++
 8 files changed, 93 insertions(+), 1 deletion(-)

commit 6de9b3b340e30856daefc418dc59545afbe62bf0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 25 23:48:16 2013 -0500

    Bug 668154 - GTK+ Crashes on Non BMP utf-8 charpoints

 modules/basic/basic-win32.c | 45
 ++++++++++++++++++---------------------------
 1 file changed, 18 insertions(+), 27 deletions(-)

commit 0654dfb2ddc66fe70cd5582ccc0ec08ba8154ac6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 25 23:37:16 2013 -0500

    [win32] Fix assertion and warnings

    When win32 fontmap goes away, font->fontmap becomes NULL.  Deal
    with that.  Technically speaking, we need to port this to GWeakRef
    like the other fontmaps do.  But this would do for now.

 pango/pangowin32-fontmap.c |  4 +++-
 pango/pangowin32.c         | 12 +++++++++---
 2 files changed, 12 insertions(+), 4 deletions(-)

commit b740729a6dfe58b0d8673a48ae96626ff851c122
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 19 02:43:32 2013 -0500

    Whitelist pango_cairo_win32_font_map_get_type

    .def files are mostly used on Win32.  Whitelist the win32 font map
    function in the check.

    Bug 694095 - Fails make check: -pango_cairo_win32_font_map_get_type

 pango/check.defs | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 595edcf53d9aadbe70b9715e29461bcf01dd4d60
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Feb 17 19:28:58 2013 -0500

    win32: Remove stale static module definitions

    These have now been put into Harfbuzz upstream

 pango/module-defs-fc.c.win32 |  8 -------
 pango/module-defs.h.win32    | 55
 ++++----------------------------------------
 2 files changed, 5 insertions(+), 58 deletions(-)

commit 87261d826da5444e18aa1e44bb412c53454a806f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 3 14:31:45 2013 -0500

    Updates for 1.33.7

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 51eb009ef98636f4da697d3843ae3a23fb24610e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 3 14:29:00 2013 -0500

    Belatedly start an unstable series

    I really messed up with 1.32.6, which had lots of new, unstable
    stuff in it.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 470190802cf4589c30b4fe281c229ed75f5ea5c1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jan 22 13:23:58 2013 +0800

    pangocairo.def: Export pango_cairo_win32_font_map_get_type

    This is needed to build the introspection files for PangoCairo
    on Windows.

 pango/pangocairo.def | 1 +
 1 file changed, 1 insertion(+)

commit 49fd80e8f2f901b037053e067e10b81b2c8b8c60
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jan 18 17:36:35 2013 +0800

    Prepare Visual Studio 2010 projects for Visual Studio 2012

    This adds a PlatformToolset tag in the project configs so that we can
    provide support for Visual Studio 2012 with relative ease as the
    format
    of the VS 2012 projects are only slightly different from their VS 2010
    counterparts. We can then use a script like the one used in GLib[1] to
    copy the VS2010 projects and replace the necessary tags to create the
    VS2012 projects.

    This also cleans up the projects and property sheets, as there were
    some unwanted/unneeded entries in them.

    [1]:
    http://git.gnome.org/browse/glib/commit/?id=76cecf061b377d30e5422cdddb1fb9d19c52421d

 build/win32/vs10/install.vcxproj         | 11 +++++++++--
 build/win32/vs10/pango.vcxprojin         |  9 ++++++++-
 build/win32/vs10/pangocairo.vcxprojin    |  7 +++++--
 build/win32/vs10/pangocairo_fc.vcxprojin |  7 +++++--
 build/win32/vs10/pangoft2.vcxprojin      |  6 +++++-
 build/win32/vs10/pangowin32.vcxproj      | 11 +++++++++--
 6 files changed, 41 insertions(+), 10 deletions(-)

commit 10cc6557ba24239570ee9a7bcaa0a553aae9df95
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 17 17:11:19 2013 -0600

    Revert "Don't use the deprecated pango_ft2_font_get_face"

    This reverts commit 2dc0c3dbb1c389c3a3ba12a5c5c85f21dca46e84.

    This doesn't make sense.  It ends up in infinite recursion because
    pangofc is calling lock_face on pangoft2, which would recursively
    call it on pangofc...

    Was causing hang at startup of Inkscape.

    If the deprecated warnings are an issue, they need to be dealt with
    in some other way.

 pango/pangoft2-render.c |  6 +-----
 pango/pangoft2.c        | 17 +++++------------
 2 files changed, 6 insertions(+), 17 deletions(-)

commit f4987f06ee85a87b8e787bf0881de6a2223e8fd5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 15 19:42:47 2013 -0600

    "prgname" and "fontfeatures" are accepted for upstream Fontconfig now

 pango/pangofc-fontmap.h | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit db410d8ebdbc5b697430617e761da6b5ce4940dd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 10 16:25:11 2013 -0600

    Let people enable font features through fontconfig snippets

    Like this:

    <match target="font">
      <edit name="pangofontfeatures" mode="append">
        <string>smcp</string>
        <string>ss20</string>
      </edit>
    </match>

    Finally we are starting to see new features coming out of the
    HarfBuzz integration...

 docs/pango-sections.txt  |  1 +
 modules/basic/basic-fc.c | 24 +++++++++++++++++++++++-
 pango/pangofc-fontmap.h  | 14 ++++++++++++++
 3 files changed, 38 insertions(+), 1 deletion(-)

commit 0df2e9592be488dcb3f3edfdfae64086e924eb92
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 10 06:30:23 2013 -0500

    1.35.6

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 48423ef827f5fcedac92e1e73c29f0bb94eeadda
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 10 06:24:15 2013 -0500

    Bump fontconfig dep to 2.10.91

    This is the first version of fontconfig that is thread-safe.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95d13cec4da1571ea8b649fa3b972eea3f4b40db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 8 12:50:01 2013 -0600

    Put g_type_init() back in

 tests/test-pangocairo-threads.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 112cd3cfdd03854aefc3c88107aa1084879b251c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 8 11:43:55 2013 -0600

    Remove unused macros

 tests/testboundaries.c | 24 ------------------------
 1 file changed, 24 deletions(-)

commit 3d18d7c1e75100fbe640b954ff2ae3b6dc03fe99
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 8 11:42:37 2013 -0600

    Minor

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88e0d1599cb0307fe93cf31b36f654303422b411
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:05:41 2013 -0500

    Avoid compiler warnings in testiter.c

    Drop an unused variable, and don't call the deprecated
    pango_cairo_font_map_create_context().

 tests/testiter.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit ea9d405f1c5bd964ca52f2f07d49c0a49177e478
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:05:07 2013 -0500

    Avoid a compiler warning

    ifdef out a function whose only use is already ifdef'ed out.

 tests/testboundaries.c | 2 ++
 1 file changed, 2 insertions(+)

commit c89e5e952fe1a3349af43e5e608ac9eef87811cf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:04:26 2013 -0500

    Ignore deprecations in test-ot-tags

    This entire test is about the deprecated OpenType API.
    Not much we can do except ignoring deprecations.

 tests/test-ot-tags.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 18dd09645a2dc27a79264dbefaddac4689a9ab87
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:03:29 2013 -0500

    Don't use deprecated pango_fc_font_get_unknown_glyph

    Replace it with PANGO_GET_UNKNOWN_GLYPH.

 pango/pangoxft-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dc0c3dbb1c389c3a3ba12a5c5c85f21dca46e84
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:01:45 2013 -0500

    Don't use the deprecated pango_ft2_font_get_face

    Replace it with pango_fc_font_lock/unlock_face calls.

 pango/pangoft2-render.c |  6 +++++-
 pango/pangoft2.c        | 17 ++++++++++++-----
 2 files changed, 17 insertions(+), 6 deletions(-)

commit b9bdbfdbb454bd172820344244b881cb4dc7826e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 21:01:07 2013 -0500

    Avoid deprecation warnings

 pango/pangoft2-fontmap.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3b075896608f252a9cfba76a1d7d40f9fe5b24c4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 20:28:30 2013 -0500

    Fix another compiler warning

    gcc doesn't like #ifndef LANGUAGE(x, y, z).

 pango/pango-language-sample-table.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc1661bac933a078913ad0bb6ff9d727b585afb0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 20:26:53 2013 -0500

    Fix a compiler warning

    Add the new paragraph_text/length parameters to the script_shape
    implementation in the fallback engine.

 pango/pango-engine.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 922c0d4ea0516419422b1d77b5b25176cc72f691
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 7 20:19:49 2013 -0500

    Don't call g_type_init if GLib is new enough

    g_type_init has been deprecated in GLib 2.35.x. Use a
    version check here to avoid depending on unstable GLib.

 pango-view/viewer-main.c   | 2 ++
 pango/modules.c            | 2 ++
 pango/pangoft2-fontmap.c   | 2 ++
 pango/pangowin32-fontmap.c | 2 ++
 pango/pangoxft-fontmap.c   | 2 ++
 pango/querymodules.c       | 2 ++
 6 files changed, 12 insertions(+)

commit 4dd5a5e18d4d3184ce4c97e0bcd9e97ebb267831
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 7 15:29:15 2013 -0600

    Fix last leak in test-pangocairo-threads

 tests/test-pangocairo-threads.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 96f6c065deae8093f3c27e040ac1586de6113309
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 7 02:13:11 2013 -0600

    Fix test leaks

    Valgrinding....  Apparently somewhere some memory corruption happens.
    Argh...

 tests/test-pangocairo-threads.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 87ed96661e6217727f59fe372b47ff66ccbf578b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 7 02:10:03 2013 -0600

    Fix warning in g_object_ref (NULL)

 pango/pangocairo-fontmap.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 50c692acd35b2c0cfe6125f820e5480f4b59ef19
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 7 01:19:49 2013 -0600

    Make test-pangocairo-threads stress fontconfig more

 tests/test-pangocairo-threads.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit f45cdd9a4fef1096b071e6bad4cc40e06f48ba46
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jan 6 23:15:44 2013 -0600

    Bug 691263 - Build with automake-1.13 broken

    Replace long obsolete AM_CONFIG_HEADER with proper AC_CONFIG_HEADERS.
    automake-1.13 errors out upon seeing former.

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eeebdac3e8b2bfdeba1069f61b3a8ee6382be1b1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jan 4 00:43:58 2013 -0600

    Enable test-pangocairo-threads by default

    Using 100 threads and 100 iterations per thread.

    Only passes with fontconfig master.  We will get a release made and
    required soon...

 tests/Makefile.am               | 2 +-
 tests/test-pangocairo-threads.c | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 080c1eaf78e0d4eff2c81720a750845bad47c709
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jan 4 00:38:17 2013 -0600

    Improve test-pangocairo-threads

    Can be run standalone now, compares the output of all threads
    and fails
    if they mismatch.

 tests/test-pangocairo-threads.c | 62
 ++++++++++++++++++++++++++++++++---------
 1 file changed, 49 insertions(+), 13 deletions(-)

commit 4ab0d57a7f7bfcd8a4b893d23f7a4923806a9113
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jan 4 00:23:42 2013 -0600

    Refactor test-pangocairo-threads.c

 tests/test-pangocairo-threads.c | 44
 ++++++++++++++++++++++++-----------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit 6978bb5c26147bea96af083c282dc95c67cfb257
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jan 4 00:19:23 2013 -0600

    Improve test-pangocairo-threads

 tests/test-pangocairo-threads.c | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)

commit d64005ea687a7263dc070c1314a4f211a2994fc9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 3 23:40:02 2013 -0600

    Update test-pangocairo-threads to new threads API

 tests/test-pangocairo-threads.c | 32 +++++++++++++-------------------
 1 file changed, 13 insertions(+), 19 deletions(-)

commit 1037c5dcb51cd0865360533da7e97638dda35f7f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 3 20:06:23 2013 -0600

    Update docs to reflect per-thread default fontmap

 pango/pangocairo-fontmap.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit dd90b07699fe5bf0ea5dfee7e907662e8ca8280b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 3 03:52:09 2013 -0600

    Make pango threadsafe!

    By way of declaring fontmaps NOT threadsafe, and making
    pango_cairo_font_map_get_default() return a thread-private fontmap.

    test-pangocairo-threads doesn't crash anymore, if used with fontconfig
    master.

 pango/pangocairo-fontmap.c | 33 ++++++++++-----------------------
 1 file changed, 10 insertions(+), 23 deletions(-)

commit 00997204f7df5f4e2f75f8c1c2f72130f302e7c6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 3 03:51:10 2013 -0600

    Add test-pangocairo-threads.c

    Currently is not run automatically.  But run it with args "10 100" and
    see it crash...

 tests/Makefile.am               |  3 +-
 tests/test-pangocairo-threads.c | 74
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+), 1 deletion(-)

commit 97b14f5ca62d37311798ecdd39ea4368785a2fa8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 7 10:58:40 2012 -0800

    Link to gthread-2.0

 configure.ac      | 7 +------
 pango/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 7 deletions(-)

commit 5e020e7ac951add45ff47dda38b6f5ed873bfbca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jan 3 03:19:15 2013 -0600

    Revert "Bug 689342 - Lifetime of patterns in pattern_hash may use
    too much memory"

    This reverts commit 7ed3cb89923c376d8b30ae3f977ab9e1a231e430, after
    resolving conflicts.

    The patch introduced some lifecycle management issues that could
    easily
    cause crashing.  Reverting till the issues are resolved.

 pango/pangofc-fontmap.c | 229
 +++++++++++++-----------------------------------
 1 file changed, 61 insertions(+), 168 deletions(-)

commit 3c4520764353d358e395431fdbefb60480f08a6f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 30 21:44:56 2012 -0600

    Whitespace

 pango/pangofc-fontmap.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit a4f56b5d8b3c3009fea7dafc3804fe573045bb32
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 30 20:52:10 2012 -0600

    Fix most of "failed to choose font" warnings

    If we are in fallback mode, with a font that has to space glyph, then
    looking up engine/font for any character not in the font was failing
    badly.  In that case, if there's only one engine (which is the case
    these days), just choose it.

 pango/pango-context.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit f0cd936cf62c552bc6b17f6ecb70c2de783a9e80
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 30 18:50:42 2012 -0600

    Don't RenderPrepare the FcFontMatch result

    After commit 7c1d6208a4b42ef3a3cce0d8dffb214c7a321e5e, the first
    matched
    font was being prepared twice, causing misconfiguration.

 pango/pangofc-fontmap.c | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 8c1a6ef147edceb05921bb892d620bdced277662
Author: John Ralls <jralls@ceridwen.us>
Date:   Sat Dec 29 13:36:33 2012 -0800

    Revert "Make PANGO_GLYPH flags an enum to make gobject-introspection
    happy."

    This reverts commit 7274bd56db3ce2f02594687a307d22aa99c787c4.
    Whatever the problem was with g-ir-scanner, it's resolved.

 pango/pango-font.h | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 7ed3cb89923c376d8b30ae3f977ab9e1a231e430
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Dec 20 00:51:55 2012 -0500

    Bug 689342 - Lifetime of patterns in pattern_hash may use too
    much memory

    Refcount cached patterns.

 pango/pangofc-fontmap.c | 207
 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 161 insertions(+), 46 deletions(-)

commit 6ee53b4e4567b4d7f2b8799d00ecea223ab4b28f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Dec 19 12:51:32 2012 -0500

    Link basicfc module to HarfBuzz

    FDO Bug 58496 - Basic module doesn't link against HarfBuzz

 modules/basic/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2df1807564ba146a207b8e4087f18161e7beaa0a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 18 13:59:33 2012 -0500

    Bug 690279 - broken relocation of modules

    Fix OS X relocation.

 pango/modules.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 28cbfde6a0829283c22ab586907096ae2ad72dc0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 18 13:30:04 2012 -0500

    [hb] Pass down BOT/EOT flags to HarfBuzz

 modules/basic/basic-fc.c | 3 +++
 1 file changed, 3 insertions(+)

commit 97c470ebebb34ce3e5720a3a1003cf1c07e49308
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 17 23:51:46 2012 -0500

    Hint advances correctly

 modules/basic/basic-fc.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 7f491a59f3674a19d84e01be098595e5ad40fc1d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 17 19:49:49 2012 -0500

    1.32.5

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 7908fa27aaed4677536e011966b38c724532f116
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Dec 14 13:01:46 2012 -0500

    markup: Remove error from markup parser constructor

    https://bugzilla.gnome.org/show_bug.cgi?id=679299

 pango/pango-attributes.h |  3 +--
 pango/pango-markup.c     | 16 +++++++++-------
 2 files changed, 10 insertions(+), 9 deletions(-)

commit 29020c71a21e3c666cf8bc92972d8c0ef46b9a9e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 2 22:07:33 2012 -0400

    markup: Allow incrementally parsing pango markup

    This is intended for applications that need to parse pango
    markup from some sort of GIO stream.

    https://bugzilla.gnome.org/show_bug.cgi?id=679299

 docs/pango-sections.txt  |   2 +
 docs/pango_markup.sgml   |   5 +-
 pango/pango-attributes.h |   8 ++
 pango/pango-markup.c     | 230
 ++++++++++++++++++++++++++++++++++-------------
 pango/pango.def          |   2 +
 5 files changed, 181 insertions(+), 66 deletions(-)

commit 25d42226b50862a44ac91eba10511465fca61332
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 2 15:10:21 2012 -0400

    markup: Always start with a <markup> tag

    It doesn't do anything bad, and will help us when we move to a
    stream-based
    approach.

    https://bugzilla.gnome.org/show_bug.cgi?id=679299

 pango/pango-markup.c | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit c3078a06ce707762699c8cef3f2c7815ce47d333
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Dec 13 17:14:06 2012 +0800

    Update Visual C++ 2010 solutions

    Cosmetic changes, so that the .sln files will have the same headers
    across
    the board

 build/win32/vs10/pango.sln    | 2 +-
 build/win32/vs10/pango_fc.sln | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7c1d6208a4b42ef3a3cce0d8dffb214c7a321e5e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Dec 12 15:04:06 2012 -0500

    Bug 690081 - pangofc-fontmap: Remove bad use of the comma operator

    Essentially our FcFontRenderPrepare() for fallback fonts was never
    actually being called.  Donno how this was "working"...

 pango/pangofc-fontmap.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f75120c8446e7d9bb75393f02d93908f0ea517b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 9 20:23:00 2012 -0500

    Bug 686512 - pango_cairo_font_get_scaled_font failed under wine

 pango/pangocairo-font.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0493b1beb113118b9573f10a87f43814a78a788a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 9 19:49:29 2012 -0500

    Bug 689882 - pango-font.h:381: error: comma at end of enumerator list

 pango/pango-font.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69b07369009d3337b1ec2c97e397a2ece9bbab6c
Author: John Ralls <jralls@ceridwen.us>
Date:   Sat Nov 3 11:46:59 2012 -0700

    Fix relative module paths

    So that the created absolute path is where the modules are installed
    instead of where the modules file is installed (i.e.,
    lib/pango/1.8.0/modules instead of etc/pango).

 pango/modules.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit f03a630db5b346eb28284442e655b0e9ff1c5298
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 7 16:18:59 2012 -0500

    Bug 689864 - build failure

 pango/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13bc45cdc7de772cde80dc4d5f58fef251229e1b
Author: Colin Walters <walters@verbum.org>
Date:   Fri Dec 7 09:23:17 2012 -0500

    Drop last use of deprecated G_CONST_RETURN

    This was blowing up the cogl build since it uses G_DISABLE_DEPRECATED.

    https://bugzilla.gnome.org/show_bug.cgi?id=689843

 pango/pango-fontmap.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a59eb51590dcde9cb88b1473b4ca1d6868e8826
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Dec 6 19:32:00 2012 +0100

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70ba9bb3b9c3ffee88d32db4abd9309ab714eeae
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Dec 6 18:36:58 2012 +0100

    Disable check.docs for now

    This is broken for now and we can't distcheck without it.
    Disabling this for now until we figure out how to fix this.

 docs/check.docs | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit f987affae249704ca3e216701e8d9ce3c1117801
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Dec 6 16:50:54 2012 +0100

    Update NEWS for 1.32.4

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit f8ab6c41a6f6a0e633e57b2a2ea5acd253a8cb81
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Dec 6 16:35:59 2012 +0100

    Bump harfbuzz requirement to 0.9.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d169449e7179ef0028fe8932ee4306bacb099fd2
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 5 14:04:20 2012 +0100

    Track changes in layout and dependencies via serials

    We track changes in the PangoContext and automatically call
    pango_layout_context_changed() when needed, plus we track
    changes in the layout and let apps know via pango_layout_get_serial
    when the layout changed and needs to be redrawn.

    https://bugzilla.gnome.org/show_bug.cgi?id=340066

 docs/pango-sections.txt      |  1 +
 docs/tmpl/layout.sgml        |  9 +++++
 pango/pango-context.c        |  1 -
 pango/pango-layout-private.h |  3 ++
 pango/pango-layout.c         | 94
 +++++++++++++++++++++++++++++++++++---------
 pango/pango-layout.h         |  1 +
 pango/pango.def              |  1 +
 7 files changed, 91 insertions(+), 19 deletions(-)

commit 3070717bc6e4c2a7bf83508ae5bf7a03eb77bf4b
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 5 13:56:06 2012 +0100

    Track changes in PangoContext via a serial

    Whenever a PangoContext or its fontmap changes we bump the
    contexts serial, you can get it via pango_context_get_serial()
    to see find out if the context changed since the last time and
    you need to relayout.

    You can also force the context to be "changed" by calling
    pango_context_changed().

    https://bugzilla.gnome.org/show_bug.cgi?id=340066

 docs/pango-sections.txt    |   2 +
 docs/tmpl/main.sgml        |  17 ++++++++
 pango/pango-context.c      | 106
 +++++++++++++++++++++++++++++++++++++++++++--
 pango/pango-context.h      |   3 +-
 pango/pango.def            |   2 +
 pango/pangocairo-context.c |  16 ++++---
 6 files changed, 135 insertions(+), 11 deletions(-)

commit 3f3a095a1809375ef600dc3a947b3ff2df08f22c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 5 13:29:48 2012 +0100

    Track changes in FontMaps using a serial

    This adds the pango_font_map_get_serial method that lets you see
    if a fontmap has changes since the last check. It adds implementations
    to all current fontmaps.

    https://bugzilla.gnome.org/show_bug.cgi?id=340066

 docs/pango-sections.txt            |  1 +
 docs/tmpl/fonts.sgml               | 13 ++++++++++++-
 pango/pango-fontmap.c              | 30 ++++++++++++++++++++++++++++++
 pango/pango-fontmap.h              |  8 +++++---
 pango/pango.def                    |  1 +
 pango/pangocairo-coretext.h        |  1 +
 pango/pangocairo-coretextfontmap.c | 15 +++++++++++++++
 pango/pangocairo-fc.h              |  1 +
 pango/pangocairo-fcfontmap.c       | 22 ++++++++++++++++++++--
 pango/pangocairo-win32.h           |  1 +
 pango/pangocairo-win32fontmap.c    | 14 ++++++++++++++
 pango/pangocoretext-fontmap.c      | 10 ++++++++++
 pango/pangocoretext-private.h      |  1 +
 pango/pangoft2-fontmap.c           | 20 ++++++++++++++++++++
 pango/pangoxft-fontmap.c           | 25 ++++++++++++++++++++++++-
 15 files changed, 156 insertions(+), 7 deletions(-)

commit b359bb484bc7d27a835cfd6d9ffcaed582ebf2ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Dec 5 20:27:47 2012 -0500

    Fix Win32 and CoreText cairo backends to take cairo CTM into account

 pango/pangocairo-coretextfont.c | 2 ++
 pango/pangocairo-win32font.c    | 3 +++
 2 files changed, 5 insertions(+)

commit d1a8997ac29764dd160a4cad7b291669ae6f5b36
Author: Colin Walters <walters@verbum.org>
Date:   Tue Dec 4 12:46:04 2012 -0500

    build: Use -Bsymbolic-functions by default if available

    Using -Bsymbolic-functions to avoid internal PLT indirection is an
    easy win.  This is the same code that both GLib and GTK+ have.

    https://bugzilla.gnome.org/show_bug.cgi?id=689648

 configure.ac | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 076e8857cd60080e64dbc47f85c981b13281fa69
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 18:48:09 2012 +0200

    Update bidi tables to Unicode 6.2.0

 pango/mini-fribidi/fribidi_tab_char_type_2.i | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0a13924b81c83dacc82015ef2e0a9fb4f7bf902b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 18:08:55 2012 +0200

    Add GraphemeBreakTest.txt to the tree

    All tests in that file pass, lets keep it that way.

    This is as of Unicode 6.1.0.  6.2 needs more work.

 tests/GraphemeBreakTest.txt | 361
 ++++++++++++++++++++++++++++++++++++++++++++
 tests/Makefile.am           |   3 +-
 2 files changed, 363 insertions(+), 1 deletion(-)

commit 3bb4240fcfbdcf1cf7890c4a0fb30d0afe743e44
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 18:06:59 2012 +0200

    Minor

 tests/testboundaries_ucd.c | 1 +
 1 file changed, 1 insertion(+)

commit 816200e8b3221f630f424c167a3ee8ea4ebc4ba1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 18:05:35 2012 +0200

    Fix grapheme boundaries of surrogates and unassigned default
    ignorables

 pango/break.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3bb3a981e6eea19eaa9a5f9a347c78e691e11f96
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:27:52 2012 +0200

    Fix line break of surrogate characters

 pango/break.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit da1fa444b9c1c766daaf04357b207a21cef7be8a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:14:01 2012 +0200

    Fix grapheme properties of U+FFxx range

    Oops!

 pango/break.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6512b1961d7f622d4bb2d329d079e7251f80522e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:10:19 2012 +0200

    Fix grapheme properties of joiner / nonjoiner

    Oops!

 pango/break.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5d5bca53393f56b011b714acbee0f942dce9848
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:28:47 2012 +0200

    Fix warning

 tests/testboundaries_ucd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9c8131034e761011442082b72e8c85434e1ca91
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:45:50 2012 +0200

    Fix test-ot-tags expectations after harfbuzz transition

 tests/test-ot-tags.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 49dfd2cfb00fe42e81c7aafee07eaa48a55edaae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:43:09 2012 +0200

    Remove runtests.sh

 configure.ac         |  3 ---
 tests/Makefile.am    |  8 +++-----
 tests/runtests.sh.in | 55
 ----------------------------------------------------
 3 files changed, 3 insertions(+), 63 deletions(-)

commit 1b5ff16fcbcf4d43cad74b28f0dc63244f2b578c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:39:58 2012 +0200

    Build test programs in "make all"

 tests/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39d6327293373b477c24700dc410159ff8b55ab2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 2 17:38:55 2012 +0200

    Fix build for tests

 tests/Makefile.am | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 9a182f7360adce9ffc258cf259f93bdbf54e5a29
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Dec 2 15:47:49 2012 +0700

    Remove Thai/Lao Prepend/Extend properties

    In UAX#29 revision 19 (reissued for Unicode 6.1.0), Prepend and Extend
    GCB properties have been dropped for Thai/Lao. So, drop the hard
    coding
    accordingly.

    https://bugzilla.gnome.org/show_bug.cgi?id=576156

 pango/break.c | 9 ---------
 1 file changed, 9 deletions(-)

commit a7432c1df678d075c0f34c90f9ea9c30dbe2e38e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Nov 29 23:32:03 2012 -0500

    Fix a copy-paste error

    This was spotted by Coverity.

 pango/pangocairo-render.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47a9748fd457bbdd53c4219bf24ffc1de76ee5b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 21 01:22:10 2012 -0500

    Require harfbuzz 0.9.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93123e2a00779b840f7876013135ac2a2dbd4b46
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 19 20:35:16 2012 -0500

    Post-release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a708724fe791a1483cf5d0ac4578c9f314dd7790
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 19 20:14:06 2012 -0500

    1.32.3

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1dbd8421c696438bc2cda4aa4ddc4c5af895c5a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 15 00:21:08 2012 -0800

    Adjust to HarfBuzz 0.9.7 API

 pango/pango-ot-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1d54a4178eeab6e7c7f96fd38bb9ebc2caae46e
Author: John Ralls <jralls@ceridwen.us>
Date:   Mon Nov 12 19:40:09 2012 -0800

    Provide a phony define for the LANGUAGE macro

    Gobject-introspection encounters it without the definitions in the
    including code and fails.

 pango/pango-language-sample-table.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 7274bd56db3ce2f02594687a307d22aa99c787c4
Author: John Ralls <jralls@ceridwen.us>
Date:   Mon Nov 12 19:38:30 2012 -0800

    Make PANGO_GLYPH flags an enum to make gobject-introspection happy.

    See bug 688356

 pango/pango-font.h | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 3ca4601eca20b1d295a2f7145e05167c83a55120
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 19:46:09 2012 -0500

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 062fab4456fc5be82b6e70937f5ba2937e88a9a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 19:14:42 2012 -0500

    1.32.2

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 02009ef657e884a4e94754a9da25277230b7c889
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 19:13:41 2012 -0500

    Rename configure.in to configure.ac

    autoconf is going to drop support for .in at some point.

 configure.ac           | 948
 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in           | 948
 -------------------------------------------------
 pango-view/Makefile.am |   2 +-
 3 files changed, 949 insertions(+), 949 deletions(-)

commit d2c319b9ded8cce864914d9f1fd704a7aff3112f
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Nov 13 21:17:05 2012 +0100

    colors: Update colors to SVG/CSS palette

    Colors that were defined to different values in Pango than they
    were in
    the CSS specification have been updated to conform to the CSS specs.
    See http://dev.w3.org/csswg/css3-color/#svg-color for the color
    values.

 pango/pango-color-table.h | 12 ++++++------
 tools/rgb.txt             | 10 +++++-----
 2 files changed, 11 insertions(+), 11 deletions(-)

commit d3c698aea6622056cbd51f9840f412dbc03a9a68
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Nov 9 18:55:16 2012 +0100

    colors: Add missing colors from the web palette

    Color names taken from
      http://dev.w3.org/csswg/css3-color/#svg-color

 pango/pango-color-table.h | 1198
 +++++++++++++++++++++++----------------------
 tools/rgb.txt             |  397 +++++++--------
 2 files changed, 805 insertions(+), 790 deletions(-)

commit b520a7a6346492b9ad950981ba9d3d516302173b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 15:12:01 2012 -0500

    Xft: Fix a deadlock on display close

    We can't call pango_xft_shutdown display while holding
    the same lock it is taking.

    https://bugzilla.gnome.org/show_bug.cgi?id=687470

 pango/pangoxft-fontmap.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit fc31c06d5623653defdfde33ebbab44f9e5e89d0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 7 10:58:40 2012 -0800

    Flush cairo surface when done

 pango-view/viewer-pangocairo.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8c1752d5e58616ca3013bd7bf5941d8025f0d975
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 15 12:38:26 2012 +0800

    Bug 685021: "Add" load_fontset() for Win32 backend

    We now need a load_fontset() implementation for the Windows backend
    as the
    pango.aliases handling is moved to pangowin32-fontmap.c since commit
    831611158, so that it will go through the pango.aliases file and load
    the appropriate fontset needed to display various texts.

    This basically copies pango_font_map_load_fontset() from
    pango-fontmap.c
    and adds the old (pre-commit 831611158)
    pango_font_map_fontset_add_fonts(),
    but using pango_win32_font_map_load_font() in place of
    pango_font_map_load_font().

 pango/pangowin32-fontmap.c | 157
 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 157 insertions(+)

commit 6739145cd2c251e2d290499265f16256c78aac43
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 27 20:15:05 2012 -0400

    1.32.1

 NEWS         | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 076e796f52437ab3f20d39c8cdb7c5ddc059acc1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 27 20:24:37 2012 -0400

    Don't wipe docs in dist-hook-local

    It is just super-annoying that one cannot even do 'make dist'
    and get a working tarball. There has to be a better to do this;
    for now, just remove this, no other gtk-doc-using module is
    doing this.

 docs/Makefile.am | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 0d34c10108585b4cfed042aa2ef501780b2d2193
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 27 14:08:30 2012 -0400

    Fixup grapheme clusters

    After adding pango_shape_full() and passing full paragraph text to
    HarfBuzz, we were getting cluster values relative to beginning to
    paragraph back from HarfBuzz, and I forgot to account for that.
    Caused
    severe crashes.

    Fixes:

    Bug 684959 - crash after "Add pango_shape_full()"

    and the dupes...

 modules/basic/basic-fc.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 97fa7a8d7018a0a7747e5663066d1383bba83fb7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 26 17:17:41 2012 -0400

    Add template for new API

 docs/tmpl/main.sgml | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 06e2e103b6d2aed77fe53742c9a1a00fcc03f82a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 26 17:15:21 2012 -0400

    Revert "Temporarily work around doc build breakages"

    This reverts commit 150691036aab59044d05ed3fa29785910249bb9a.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 51acdd5b89b6ff60154fbb9c203888742f410b48
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 26 16:38:09 2012 -0400

    1.32.0

 NEWS         | 5 +++++
 configure.in | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 150691036aab59044d05ed3fa29785910249bb9a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 18:42:07 2012 -0400

    Temporarily work around doc build breakages

    The doc check script gets tripped up by some struct members
    that gtk-doc considers undocumented, and for some reason,
    forcing a doc rebuild in make dist does not work either.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit bbec7e8697907a922f80c00b94f54b9b8634d264
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 26 15:37:20 2012 -0400

    Add pango_shape_full()

    Variant of pango_shape() that takes the full paragraph text as input.
    This is then passed in entirety to HarfBuzz, which would allow certain
    cross-run interactions (in Arabic for example).

    When combined with upcoming HarfBuzz 0.9.5+, this fixes:

    Red Hat Bug 858736 - [Spanish] Stray dotted circle rendered
    https://bugzilla.redhat.com/show_bug.cgi?id=858736

    and partially:

    Bug 313181 - color changes break arabic shaping
    https://bugzilla.gnome.org/show_bug.cgi?id=313181

 docs/pango-sections.txt      |  1 +
 modules/basic/basic-fc.c     | 16 +++++------
 pango/pango-context.c        | 11 +++++---
 pango/pango-engine-private.h | 14 +++++-----
 pango/pango-engine.c         | 19 ++++++++-----
 pango/pango-engine.h         | 12 +++++----
 pango/pango-glyph.h          |  7 +++++
 pango/pango-impl-utils.h     |  2 +-
 pango/pango-layout.c         |  4 ++-
 pango/pango-utils.c          |  2 +-
 pango/pango.def              |  1 +
 pango/shape.c                | 63
 ++++++++++++++++++++++++++++++++++++++++----
 12 files changed, 115 insertions(+), 37 deletions(-)

commit 1c151fef87c61e2d329d84d3db59559bffa767fe
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 26 15:09:03 2012 -0400

    Unbreak build system

    After 88692e4e, every make invocation was rebuilding everything.  Fix.

 pango/Makefile.am | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a2b560ab7d7cba57a04a3e9d30ab9ecd50c473e3
Author: John Ralls <jralls@ceridwen.us>
Date:   Tue Sep 25 11:40:05 2012 -0700

    Port PangoCoreTextFont to use GWeakRef

    For its PangoCoreTextFontMap* member.

 pango/pangocoretext.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit f4b3e7b24fa7d3d06002740e98e71559da84adb9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 24 22:02:10 2012 -0400

    Allow --without-xft

    Patch from galtgendo.

 configure.in | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 07aad8b985d3ea0de268b8b772123fbca4a4aee4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 17 20:27:33 2012 -0400

    Revert "Temporarily work around doc build breakages"

    This reverts commit 9c1e5d60a078db4b08bd7247004e759ff60cc534.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit c93a25c0adac14a4f1677d6d4e4b326075886a59
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 17 20:26:45 2012 -0400

    1.31.2

 NEWS         | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 9c1e5d60a078db4b08bd7247004e759ff60cc534
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 18:42:07 2012 -0400

    Temporarily work around doc build breakages

    The doc check script gets tripped up by some struct members
    that gtk-doc considers undocumented, and for some reason,
    forcing a doc rebuild in make dist does not work either.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 25779da81f66bfb7118395757cf1a031af09b068
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 14 22:12:30 2012 -0400

    Make modules.c thread-safe

    The maps list is protected with a mutex.
    registered_engines, dlloaded_engines and dlloaded_modules are
    read-only after init_modules, which is protected with g_once_init.
    Finally, engine creation is protected with another mutex.

 pango/modules.c | 34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

commit 164c6eb4dc819eb0833d6851f9e16d4994e84e97
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 14 20:09:38 2012 -0400

    Rework config file reading

    The code was loading and parsing the system config file
    every single time, and has not correctly handling mixed
    requests for user and system config entries.

    This commit reworks the code so that the configuration is
    loaded only once, in threadsafe fashion.
    pango_config_key_get_system is no longer using the same
    hash table, but reloads its data every time - this is
    not a really problem, since this function is only used
    in pango-querymodules.

 pango/pango-utils.c | 75
 ++++++++++++++++++++++++++++-------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit abd17535c26f9675a162dc26412cea0384cdeebd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 14 18:37:06 2012 -0400

    Load config file only once

 pango/pango-utils.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 2fcf11d206a0590e348339ad87cf880b75968607
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 14 12:40:02 2012 -0400

    Add HarfBuzz to pkgconfig requires.private

 pangoft2.pc.in | 1 +
 1 file changed, 1 insertion(+)

commit fd012e1efa5e0932632780c776cceafd74fd4a9f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 14 18:31:27 2012 +0800

    pango/pangowin32-fontmap.c: Fix build

    -Include glib/gstdio.h for g_fopen
    -Make up for a missed #endif
    -correct an internal function name, pango_load_aliases to load_aliases

 pango/pangowin32-fontmap.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2abcf587afe6be5f4a3b09b8da7f30e5b86042d0
Author: John Ralls <jralls@ceridwen.us>
Date:   Thu Sep 13 14:23:51 2012 -0700

    Fixups for introspecting without Freetype

 pango/Makefile.am | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 5859d32ccb52496148d969086a729b56a03c44e7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 8 14:13:04 2012 -0400

    Only build pangocoretext if have cairo-qaurtz

 pango/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 75c3b618e4d0758a6cf157c3bd9ec3874b6a451d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 4 22:28:48 2012 -0400

    Bump the required GLib version

    We need GLib 2.33.12 for g_object_replace_qdata.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7798a179348250788a35f1fce4aa9490e0c61100
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 4 22:20:30 2012 -0400

    Revert "Temporarily work around doc build breakages"

    This reverts commit 007aa41d10038e9632bad373a837e540b4d0e8e4.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 3777c156bd49378d08df6d7c3c2eba04cda5a7d1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 4 21:36:23 2012 -0400

    1.31.1

 NEWS         | 9 ++++++++-
 configure.in | 2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 007aa41d10038e9632bad373a837e540b4d0e8e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 18:42:07 2012 -0400

    Temporarily work around doc build breakages

    The doc check script gets tripped up by some struct members
    that gtk-doc considers undocumented, and for some reason,
    forcing a doc rebuild in make dist does not work either.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 75c1f008fbc316e5ed3c7ff3e0d2d6d9d770d204
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 1 10:32:21 2012 -0400

    Use thread-safe qdata API for caching

    GLib gained a new API that allows to set qdata in a thread-safe
    way. Use it here.

 pango/pango-context.c      | 13 +++++++++----
 pango/pangocairo-context.c | 10 ++++++++--
 2 files changed, 17 insertions(+), 6 deletions(-)

commit 22aadf96b8cdd9771c2227fde0c58b6f640e5e3e
Author: John Ralls <jralls@ceridwen.us>
Date:   Thu Aug 30 16:14:42 2012 -0700

    Fix PangoCoreTextFontsetClass definition so that it builds

 pango/pangocoretext-fontmap.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 9f5dd43267459393c17343c3dfc3b29ee76606ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 29 16:59:03 2012 -0400

    Use g_value_take_object

 pango/pangofc-font.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 8275c1da3db604b67d3ffac5f0143805de1507d9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 29 16:58:52 2012 -0400

    Fix warning

 pango/pango-attributes.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 71d8656e309a49efcb93c9831001d7cb6b979cae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 29 10:51:30 2012 -0400

    Bug 682952 - remove old glib check

 pango/break.c | 4 ----
 1 file changed, 4 deletions(-)

commit aca468cdc2ea66ce6dc8cfc70424a2c5309354fa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 29 09:54:19 2012 -0400

    Port pangofc-font.c to GWeakRef

 configure.in         |  2 +-
 pango/pangofc-font.c | 50
 ++++++++++++++++++++++++++------------------------
 2 files changed, 27 insertions(+), 25 deletions(-)

commit e6563310424563f60d8acebc093c7e1d7a2fa58b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 29 09:37:50 2012 -0400

    Plug leak

 modules/basic/basic-fc.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 6692a9766c2fe2bf3f58cb869a70f5a201bc76a8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 29 12:27:45 2012 +0800

    Update config.h.win32.in

    Make its entries more consistent with the entries given in
    config.h.in.

 config.h.win32.in | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit 88692e4eb0a971f6d32da9207c9c91c8d8c7c8d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 28 22:06:20 2012 -0400

    Make enum get_type functions thread-safe

    Use a more modern, template-based way of calling glib-mkenums,
    and use templates that use g_once_init_enter/leave to be
    thread-safe.

 pango/Makefile.am                 | 29 ++++++++++-------------------
 pango/pango-enum-types.c.template | 36
 ++++++++++++++++++++++++++++++++++++
 pango/pango-enum-types.h.template | 24 ++++++++++++++++++++++++
 3 files changed, 70 insertions(+), 19 deletions(-)

commit 4ea16a17ca32d11bb3fd59132823350a77568b70
Author: Colin Walters <walters@verbum.org>
Date:   Tue Aug 28 08:17:37 2012 -0400

    pangoft2: Fix typo

 pango/pangoft2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab76ef1c6b55f6bf0cbff4ac5a5262f117bbe800
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 28 00:19:35 2012 -0400

    Start cleaning up config reading

 pango/pango-utils.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4105e20d799a80f9c0c2befdef8f458ee11654a6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 23:43:38 2012 -0400

    More churn

 modules/basic/basic-fc.c      |  2 +-
 pango/break.c                 | 11 +++++------
 pango/modules.c               |  8 ++++----
 pango/pango-context.c         | 13 ++++++-------
 pango/pango-fontmap.c         |  8 ++++++--
 pango/pango-ot-ruleset.c      |  6 +++---
 pango/pango-renderer.c        |  2 +-
 pango/pango-utils.c           |  2 +-
 pango/pangocairo-context.c    |  2 +-
 pango/pangocairo-font.c       |  4 ++--
 pango/pangocairo-render.c     |  2 +-
 pango/pangocoretext-fontmap.c | 14 +++++---------
 pango/pangofc-font.c          | 11 +++++------
 pango/pangoft2-fontmap.c      |  2 +-
 pango/pangoft2.c              |  6 +++---
 pango/pangowin32-fontmap.c    |  4 ++--
 pango/pangowin32.c            | 13 ++++++-------
 pango/querymodules.c          |  4 ++--
 pango/shape.c                 |  2 +-
 19 files changed, 56 insertions(+), 60 deletions(-)

commit 26bbf750ab0754c113722e87942174cf2953dad4
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 17:04:44 2011 +0200

    Protect fontmaps with a mutex in pangoxft-fontmap.c

 pango/pangoxft-fontmap.c | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit f81174dd4f8f8601bbf1066ba9757a4a13bb3c60
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 16:58:22 2011 +0200

    Make static data thread safe in pangowin32-fontmap.c

 pango/pangowin32-fontmap.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 43f077b4bd6710b27645add20af26234e0266052
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 16:55:58 2011 +0200

    Make static data thread safe in pangoft2-fontmap.c

 pango/pangoft2-fontmap.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 503ad16e979dae995ed200e512d734fa6691ecef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 23:33:16 2012 -0400

    Make pangofc-fontmap.c thread-safe

 pango/pangofc-fontmap.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f160843b9afab5d8f39654580d7583cf49b0c242
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 23:31:02 2012 -0400

    More thread-safety

 pango/pango-context.c      |  2 +-
 pango/pango-engine.c       |  2 +-
 pango/pangocairo-fcfont.c  |  2 +-
 pango/pangocairo-fontmap.c | 16 ++++++++++------
 pango/pangofc-fontmap.c    |  6 +++---
 5 files changed, 16 insertions(+), 12 deletions(-)

commit a4eeee8e222db740ca83d29217d707db1160ada8
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 16:04:22 2011 +0200

    Make static data thread safe in pango-context.c

 pango/pango-context.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ba9119bcef52232c38329a5be91d9b5d158f2bc4
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 15:54:01 2011 +0200

    Make static data thread safe in pangocairo-fcfont.c

 pango/pangocairo-fcfont.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 816c5ab46c51850645ac94e4bf611b7fbda3fa19
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 25 15:47:19 2011 +0200

    Make static data thread safe in pango-engine.c

 pango/pango-engine.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 86d88852671426517c532e9d2ad7f998061b8ea3
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Fri May 20 23:03:57 2011 +0200

    Make static data thread safe in pangocairo-fontmap.c

 pango/pangocairo-fontmap.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e7f1f1aab760b87327bd9c35df7c5e3d1d735ac7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 22:53:49 2012 -0400

    Make pango-attributes thread-safe

 pango/pango-attributes.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 476cba0d2af65b57b297044f26139b493796494a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 22:51:03 2012 -0400

    Fix warnings

 pango/pango-utils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39d0a94a735abedbfa6ff2b20ab3da1314c84f89
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 22:40:53 2012 -0400

    Make pango-language.c thread-safe

    Start marking static-data that is thread safe with the "MT-safe"
    marker.
    The following grep can be used to track progress:

    grep 'static[^(]*;' *c | grep -v MT-safe

 pango/pango-language.c | 44 ++++++++++++++++++++++++++++++++------------
 pango/pango-utils.c    |  4 ++--
 2 files changed, 34 insertions(+), 14 deletions(-)

commit bb8bf13fea27a77c53e7692dce827e2839216fc6
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 18 18:31:03 2011 +0200

    Make a couple of functions reentrant

 pango/pangowin32-fontmap.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit b47c2247e398bdb56f929a1144d6cc0b995233b0
Author: Alessandro Pignotti <a.pignotti@sssup.it>
Date:   Wed May 18 19:49:51 2011 +0200

    Make static data thread safe in pango-utils.c

 pango/pango-utils.c | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 8316111583488356b77ec8ea4e5249d902127b3b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 27 22:09:29 2012 -0400

    Deprecate pango_lookup_aliases()

    Part of Bug 377539 - (pango-threadsafe) Make Pango thread-safe

 pango/pango-fontmap.c      |  28 +----
 pango/pango-utils.c        | 281
 +--------------------------------------------
 pango/pango-utils.h        |   1 +
 pango/pangowin32-fontmap.c | 278
 +++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 287 insertions(+), 301 deletions(-)

commit 90a1bb8607c05d585de00bb36488ec4b90247c9b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 18:13:29 2012 -0400

    Remove residuals from when HarfBuzz was in-tree

 configure.in            | 6 +-----
 docs/tmpl/vertical.sgml | 2 +-
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 55a01f649981bb1dc2bf15c23eccdea33706a927
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 17:51:16 2012 -0400

    Minor

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit 4d358dba4770a22f3b75e0d965b954ee8b297b5f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 27 17:45:17 2012 -0400

    More pangox removal!

 pango/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fafd326d3084377bd7436b619dc25e9fdf09fdc0
Author: Kristian Rietveld <kris@lanedo.com>
Date:   Mon Aug 27 09:40:38 2012 +0200

    coretext: silence compiler

 modules/basic/basic-coretext.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit fa4cd1a232529898a616e86ab89965d5ffc52347
Author: Kristian Rietveld <kris@lanedo.com>
Date:   Mon Aug 27 09:37:11 2012 +0200

    coretext: silently fail on invalid UTF8 instead of crashing

    When an attempt is made to create a CFString with a C string
    containing
    invalid UTF8, the call returns NULL. We now check this return value
    and silently fail instead of continuing and reading from a NULL
    pointer.

 modules/basic/basic-coretext.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit d11ed972b60e56a96e8b63b34168911260706d54
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 19:35:59 2012 -0400

    Update mini-fribidi to Unicode 6.1.0 data

 pango/mini-fribidi/fribidi_tab_char_type_2.i | 9457
 +++++++++++++-------------
 1 file changed, 4810 insertions(+), 4647 deletions(-)

commit d882c13b24b2432149c7f3f2034797562be2b7ac
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 19:25:09 2012 -0400

    Deprecate pango_fc_font_kern_glyphs()

    No use for this anymore.

 pango/pangofc-font.c | 1 +
 pango/pangofc-font.h | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit cc7f3d84cc7b218bfc6795cde4c89207fa428d77
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 16:58:38 2012 -0400

    Bug 653347 - rise units documented incorrectly

 docs/pango_markup.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9925526f2094d09e5052506ebf2a7a1d43c7ec5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 16:06:57 2012 -0400

    Bug 678997 - Colors aqua, silver and indigo missing in:
    pango-color-table.h

 pango/pango-color-table.h | 1298
 +++++++++++++++++++++++----------------------
 tools/rgb.txt             |    3 +
 2 files changed, 655 insertions(+), 646 deletions(-)

commit fdc4e4bbd70c0c691bd2b0cea37c2b80deedf858
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 15:51:43 2012 -0400

    [rgb.txt] Remove duplicate lines

 pango/pango-color-table.h | 1504
 ++++++++++++++++++++-------------------------
 tools/rgb.txt             |   96 ---
 2 files changed, 657 insertions(+), 943 deletions(-)

commit acb9dc98034fcaaac2ba2d4b4e3a2b1e9a4ca4d0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 15:59:53 2012 -0400

    Ignore spaces when parsing colors

 pango/pango-color.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 633466d81ce094f8aadd562a51d16e150bb4037d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 15:46:21 2012 -0400

    Add rgb.txt from X11

 tools/Makefile.am |   3 +-
 tools/rgb.txt     | 753
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 755 insertions(+), 1 deletion(-)

commit 236453c63b18449bc57e3534baceb517d10393c0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 15:36:04 2012 -0400

    Bug 678721 - Don't need to get item properties in
    pango_layout_line_x_to_index

 pango/pango-layout.c | 3 ---
 1 file changed, 3 deletions(-)

commit 89a3cf84e97f56cf6975741594a2b1baf915671c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 14:14:45 2012 -0400

    Update script-language mapping table

 pango/pango-script-lang-table.h | 30 ++++++++++++++++++------------
 1 file changed, 18 insertions(+), 12 deletions(-)

commit 5c3cac593a84e76a18ca780395f5fa1093de1bde
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 14:11:59 2012 -0400

    Bug 631601 - pangox.def, pangoxft.def missing from the distribution

 pango/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 56a8861dca0516d1a231995f7afd69be5601abbf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 14:08:52 2012 -0400

    Minor

 tools/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ffe01357f645fc0182b588f0245438dff3ade1be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 14:05:46 2012 -0400

    Update to Unicode 6.1

 NEWS                   |  1 +
 docs/tmpl/scripts.sgml | 10 ++++++++++
 pango/pango-language.c | 29 ++++++++++++++++++++++++++++-
 pango/pango-script.h   | 16 +++++++++++++++-
 4 files changed, 54 insertions(+), 2 deletions(-)

commit aee4341fb14a579c77c274813ca0e24b41fa5caa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 14:04:36 2012 -0400

    Even more pangox residual removal

 configure.in      | 29 -----------------------------
 pango/Makefile.am |  1 -
 2 files changed, 30 deletions(-)

commit 07eea51f38b78c3c6556a511f46f4721083ab21e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 13:44:51 2012 -0400

    Remove unused table

 pango/pango-ot-tag.c | 79
 ----------------------------------------------------
 1 file changed, 79 deletions(-)

commit 0be0b43f677520b155004a48b8cb6e9942f40a75
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 13:47:49 2012 -0400

    Add an update-cache mode to pango-query-modules

    It is inconvenient for distro-builders to redirect the output
    of pango-query-modules to a location that depends on various
    factors, such as architecture and pango module version.

    With this commit, you can just run pango-querymodules --update-cache,
    and it will replace the file #libdir/pango/1.8.0/modules.cache.

 docs/pango-querymodules.xml | 80
 ++++++++++++++++++++++++++++++++++++++-------
 pango/querymodules.c        | 56 +++++++++++++++++++++++--------
 2 files changed, 111 insertions(+), 25 deletions(-)

commit 665c4e75cc15cbe334bd515186f90212f79fd4f5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 25 13:36:37 2012 -0400

    Update NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 9bbb992671140b840bedb4339f6c326a2ae2c072
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 12:31:04 2012 -0400

    Forgotten fixup

    Make pango actually look in both locations for the module file.

 pango/modules.c | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit cabf22f723f1bad63de7e12052c2d13c67366577
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 12:29:20 2012 -0400

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 051fd59bf1a1316067453cc8869682839d37b6c7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 12:28:18 2012 -0400

    docs: Improve pango-querymodules man page

    The man page now mentions what to do with the output produced
    by pango-querymodules.

 docs/pango-querymodules.xml | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 08578055b45a0709e03055e41ad3fac3e448b54c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 12:24:31 2012 -0400

    docs: Add some more metadata to man pages

 docs/pango-querymodules.xml | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 930dc0e942804b45e0f86a68458e1ba7de0e250c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 25 12:12:22 2012 -0400

    Read the module cache from libdir as well

    This is following identical changes made to gdk-pixbuf loaders
    and GTK+ immodules. We read the module cache file that is generated
    by pango-querymodules from $libdir/pango/1.8.0/modules.cache.
    This helps in situations where /etc needs to be readonly or empty.

    The old location, $sysconfdir/pango/pango.modules, still works too.

 pango/modules.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 6d6c556e9c725a4a69a94dbe045463ea4b855e4a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 23 20:42:03 2012 -0400

    Deprecate pango-ot.h

    Still needs document Deprecated tags to be done.

    Soon to add pango-hb.h

 pango/pango-ot-buffer.c  |  84 +-------
 pango/pango-ot-info.c    |  22 --
 pango/pango-ot-private.h |  33 ---
 pango/pango-ot-ruleset.c | 251 +----------------------
 pango/pango-ot-tag.c     | 521
 +----------------------------------------------
 pango/pango-ot.h         |  45 ++++
 pango/pangofc-font.c     |   2 -
 7 files changed, 70 insertions(+), 888 deletions(-)

commit ebec5460f452115e9551761b60ae389dacc46185
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 24 00:11:01 2012 +0800

    Visual C++: Remove the "static" property sheets

    The property sheets now have their header listings for "installation"
    filled in during make dist, so we don't need to keep the static pango
    property sheets around.

 build/win32/vs10/pango.props  | 223
 ------------------------------------------
 build/win32/vs9/pango.vsprops | 158 ------------------------------
 2 files changed, 381 deletions(-)

commit 59edf0e36ad88b1f3fdeda91b9c1614aafc7150f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 23 11:04:04 2012 -0400

    Bug 682421 - Arabic is broken with gravity hint=line when gravity
    is east/north

    Fix-up gravity and vertical support in HarfBuzz module.

    Still needs more work for vertical GPOS to work correctly, but this
    is a
    huge improvement already.

 modules/basic/basic-fc.c | 150
 +++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 124 insertions(+), 26 deletions(-)

commit 145f5e161cad5e711cf9907b3a1cdec19e9942e7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 23 10:59:03 2012 -0400

    Fix Xft detection

 configure.in | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 77bc5ffb8d521abe586962160d45a36ab6d21cda
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 23 10:57:03 2012 -0400

    Revert "Fix configuring for Xft even when it's not present"

    This reverts commit 42e01e32cd8ac070883f3456c65024019f1f73ac.

 configure.in | 45 +++++++++++++++++++--------------------------
 1 file changed, 19 insertions(+), 26 deletions(-)

commit 561c8eac09f20cf01fd5b9278c8778dbeb45fd2f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 22 10:54:29 2012 -0400

    Add PANGO_GRAVITY_IS_IMPROPER

 docs/pango-docs.sgml    |  4 ++++
 docs/pango-sections.txt |  1 +
 docs/tmpl/vertical.sgml |  8 ++++++++
 pango/pango-gravity.h   | 14 ++++++++++++++
 4 files changed, 27 insertions(+)

commit ed0cb250eea0fd71cad6397ecd9ef86a387f49c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 22 09:25:52 2012 -0400

    Minor

 pango-view/viewer-cairo.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c8cf0401a655172eedabe3e2a45daf95c619c4e9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 22 08:38:57 2012 -0400

    Remove old cruft

 modules/makefile.msc |  63 -----------
 pango/Makefile.am    |   1 -
 pango/makefile.msc   | 290
 ---------------------------------------------------
 3 files changed, 354 deletions(-)

commit 635f537ddfe7eccfc2de775f759fb9dfafb51983
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Aug 21 14:07:25 2012 +0800

    autotools: Re-enable and enhance the completion of MSVC projects

    -Isolate the creation of full MSVC projects for pango, pangoft2 and
     pangocairo in a seperate build/Makefile-msvcproj.am, so it can
     be included
     and used elsewhere.
    -Update the Makefile.am's in pango/ and pango/mini-fribidi to include
     and use build/Makefile-msvcproj.am to create the MSVC project files
    -Use templates for the property sheets so that the listings of
    header files
     to "install" can be filled in using build/Makefile-msvcproj.am, to
     simplify future maintenance.
    -Re-enable the distribution of the created project files and property
     sheets

 build/Makefile-msvcproj.am      | 255
 ++++++++++++++++++++++++++++++++++++++++
 build/win32/vs10/Makefile.am    |  17 +++
 build/win32/vs10/pango.propsin  | 175 +++++++++++++++++++++++++++
 build/win32/vs9/Makefile.am     |  11 ++
 build/win32/vs9/pango.vspropsin | 138 ++++++++++++++++++++++
 pango/Makefile.am               |   7 +-
 pango/mini-fribidi/Makefile.am  |  30 +----
 7 files changed, 606 insertions(+), 27 deletions(-)

commit e5333ce32c04a1ddef5c2c6d2b6a414095c2e0ba
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Aug 22 12:15:30 2012 -0700

    Fix introspection for CoreText

 pango/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a4403018787f8692650b2894804d0ec513eb220
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Aug 22 11:26:39 2012 -0700

    Check for Cairo-Quartz as well as CoreText

 pango/pangocairo-fontmap.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 34b92d7d96d8de0e7e8f9f20a6ca333b3c06b1d9
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Aug 22 09:53:49 2012 -0700

    A bit more atsui cleanup

    Just a no-longer-true comment.

 pango/pangocairo-coretextfontmap.c | 3 ---
 1 file changed, 3 deletions(-)

commit 1b81931936c65774dce13864f632f0630325bace
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Aug 22 09:38:47 2012 -0700

    Still more atsui removal

    CoreText works now!

 pango/pangocairo-coretextfontmap.c |  2 +-
 pango/pangocairo-fontmap.c         | 18 +++---------------
 2 files changed, 4 insertions(+), 16 deletions(-)

commit 42e01e32cd8ac070883f3456c65024019f1f73ac
Author: John Ralls <jralls@ceridwen.us>
Date:   Tue Aug 21 14:37:36 2012 -0700

    Fix configuring for Xft even when it's not present

    Must declare have_xft=false before the pkg-check otherwise it's always
    true. Then do the checks for Freetype and Xft, *then* check for
    Harfbuzz
    and disable Freetype and Xft if it's not there. Finally set the
    environment and config.h for Freetype and Xft.

 configure.in | 45 ++++++++++++++++++++++++++-------------------
 1 file changed, 26 insertions(+), 19 deletions(-)

commit 81af952c3715c4784ecf25999862e2683827834c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 21 16:07:41 2012 -0400

    Fix build system

    When harfbuzz is not found, we cannot enable cairo-ft backend.

 configure.in | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit a813e75a25459560c37f3eeed5455047a86d0500
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 21 15:24:45 2012 -0400

    Remove some old cruft

 pango/pango-ot-info.c | 6 ------
 1 file changed, 6 deletions(-)

commit fc27e25d61bc4dec8e5598b6c2f918296b0659ed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 21 14:49:33 2012 -0400

    Bug 590183 - Fix bidi implementation with regards to Unicode 5.2.0

 pango/mini-fribidi/fribidi.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 1a056db300188a8a817cd6146abd543e63ce3ba0
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 21 17:52:26 2012 +0200

    Typo in the example

 pango-view/test-arabic.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8a920849fa14c94e9a4826148db0e086c97f5ae
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 21 17:41:05 2012 +0200

    More pangox residual removal

 configure.in | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ced5268e1a2f53cb7bf3975a619d999193d56fc6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Aug 21 13:42:52 2012 +0800

    Update pango Visual C++ project templates

    Simplify the inclusion of the mini-fribidi sources a bit, so we
    can use
    the -I flag to the preprocessor when creating the projects

 build/win32/vs10/pango.vcxproj.filtersin | 4 ++--
 build/win32/vs10/pango.vcxprojin         | 4 ++--
 build/win32/vs9/pango.vcprojin           | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit eb15f43682080a8c9ceba87246dec76def444ced
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 19:06:17 2012 -0400

    Revert "Temporarily work around doc build breakages"

    This reverts commit 3b7c44229bd212e68eb0407f297d7bc6570ce7c3.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 9921073718a86201aef4103956bed99d6ea621f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 19:06:02 2012 -0400

    Bump version

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d52678db209591e92e6f557f7ec9ebcdc7954ee8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 17:00:26 2012 -0400

    1.31.0

 NEWS         | 12 ++++++++++++
 configure.in |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 3b7c44229bd212e68eb0407f297d7bc6570ce7c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 18:42:07 2012 -0400

    Temporarily work around doc build breakages

    The doc check script gets tripped up by some struct members
    that gtk-doc considers undocumented, and for some reason,
    forcing a doc rebuild in make dist does not work either.

 docs/Makefile.am | 2 +-
 docs/check.docs  | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 2fe0b97ff9b851206ccdb378574d02e5da6a43a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 18:39:56 2012 -0400

    Neuter win32 build stuff

    Remove nonexisting files from EXTRADIST, this was breaking distcheck.

 build/win32/vs10/Makefile.am | 10 ----------
 build/win32/vs9/Makefile.am  |  4 ----
 2 files changed, 14 deletions(-)

commit b2f0b95ef8dcb78c8e3729933d3bdce60ff459cc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 17:32:30 2012 -0400

    Fix the doc build

    No more atsui docs either !

 docs/pango-docs.sgml | 1 -
 1 file changed, 1 deletion(-)

commit b4340170d2f02c2fccfd8d4c293b86f6abe74e81
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 20 16:51:19 2012 -0400

    Update build/ to include git.mk

 build/Makefile.am            | 2 ++
 build/win32/Makefile.am      | 2 ++
 build/win32/vs10/Makefile.am | 2 ++
 build/win32/vs9/Makefile.am  | 2 ++
 4 files changed, 8 insertions(+)

commit 21cbdbc2f9a317c1a19a75d50cb0201ae439dcf4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 20 16:51:03 2012 -0400

    Update git.mk from upstream

 git.mk | 55 ++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 40 insertions(+), 15 deletions(-)

commit 2bf13b81e9f9e019f800ed380c27097d7abf5869
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 20 16:06:39 2012 -0400

    Make HarfBuzz dependency optional (on non-Linux), update README

    If HarfBuzz is not available, we just can't build the
    Freetype/Fontconfig backend...

 README       | 23 ++++++++++++++---------
 configure.in |  8 ++++++--
 2 files changed, 20 insertions(+), 11 deletions(-)

commit 023df214ba97ce79222be678f8fa532249eb1ab6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 20 12:58:23 2012 -0400

    More pangox residual removal

 configure.in | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 52068fd4b2d13d7dbd5173d7db4a41ce43bb7938
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Aug 20 16:28:55 2012 +0800

    Fix the pangoft2 Visual C++ projects

    Many of the module sources have been removed for pangoft2, so
    remove them
    from the projects.

 build/win32/vs10/pangoft2.vcxproj.filtersin | 16 --------
 build/win32/vs10/pangoft2.vcxprojin         | 57
 -----------------------------
 build/win32/vs9/pangoft2.vcprojin           | 56
 ----------------------------
 3 files changed, 129 deletions(-)

commit e793c54bf053bcf5178d9d72090577e331511f72
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 13:37:05 2012 -0400

    More doc fixes

 docs/pango-sections.txt | 1 +
 docs/tmpl/utils.sgml    | 9 +++++++++
 2 files changed, 10 insertions(+)

commit 43cf0297a9587e561cd8fc02f320cc1519dc6fdf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 13:34:29 2012 -0400

    More atsui residual removal

 pango/pangocairo-atsui.h        |  55 --------
 pango/pangocairo-atsuifont.c    | 297
 ----------------------------------------
 pango/pangocairo-atsuifont.h    |  36 -----
 pango/pangocairo-atsuifontmap.c | 105 --------------
 4 files changed, 493 deletions(-)

commit 202b9a5677898f4e960cec0bcd8cc251f0c9210e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 13:34:02 2012 -0400

    Small doc fix

 pango/pango-attributes.h | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit a3a23b13312f98d5dfc67b9bcb3d6352633206b7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 12:32:27 2012 -0400

    Remove win32 build cruft, to make "make distcheck" pass

    I need to be able to "make distcheck".  These were getting in the way.
    Please only add back if:

      1) "make distcheck" passes, AND

      2) Put the cruft under build/ only, no hundreds of lines of
         unmaintainable code in pango/Makefile.am please.

 pango/Makefile.am | 232
 +-----------------------------------------------------
 1 file changed, 1 insertion(+), 231 deletions(-)

commit 3628023c8903c633abad8988dc17c8b9d015a946
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 11:52:11 2012 -0400

    More pangox resigual removal

 docs/pango-docs.sgml | 1 -
 tests/cxx-test.C     | 4 ----
 2 files changed, 5 deletions(-)

commit 8ad0a54cf9c236e205f1a5ab4f17219f0a6076b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 18 11:46:12 2012 -0400

    Bump module version as pango-ot is being phased out

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0beaed4e32d167d251fa7983d5d57940e48a15f3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 16 22:10:34 2012 -0400

    Add Mongolian test file

 pango-view/Makefile.am        |  1 +
 pango-view/test-mongolian.txt | 15 +++++++++++++++
 2 files changed, 16 insertions(+)

commit a881e98243ae7da4dbdac02a50f39ae04f94f2c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 16 21:59:11 2012 -0400

    Remove residuals from pangox and pangoatsui removals

 docs/tmpl/atsui-fonts.sgml   |   48 -
 docs/tmpl/x-fonts.sgml       |  316 ---
 modules/basic/Makefile.am    |    4 -
 modules/basic/tables-big.i   | 4397
 ------------------------------------------
 modules/basic/tables-small.i |  603 ------
 pangox-uninstalled.pc.in     |    6 -
 6 files changed, 5374 deletions(-)

commit 7c6c11cd8392d483f0de7bba434faccdb9c068fa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 16 21:58:44 2012 -0400

    Remove Atsui Module

    CoreText for the win.

 configure.in                |  56 +--
 docs/pango-sections.txt     |  27 --
 modules/basic/Makefile.am   |  17 -
 modules/basic/basic-atsui.c | 211 -----------
 pango/Makefile.am           |  25 +-
 pango/pangoatsui-fontmap.c  | 825
 --------------------------------------------
 pango/pangoatsui-private.h  | 105 ------
 pango/pangoatsui.c          | 231 -------------
 pango/pangoatsui.h          |  80 -----
 9 files changed, 8 insertions(+), 1569 deletions(-)

commit 194b6ee552318ec6c494f34ed9f0979d0460fe4f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 16 21:48:50 2012 -0400

    Remove PangoX

    Been overdue...

 Makefile.am                    |    6 -
 configure.in                   |   22 +-
 docs/pango-sections.txt        |   34 -
 docs/tmpl/fonts.sgml           |    9 -
 docs/tmpl/glyphs.sgml          |   19 -
 docs/tmpl/layout.sgml          |    6 -
 docs/tmpl/main.sgml            |    4 -
 docs/tmpl/tab-stops.sgml       |    2 +-
 docs/tmpl/text-attributes.sgml |    3 -
 modules/basic/Makefile.am      |   18 -
 modules/basic/basic-x.c        |  720 ----------------
 pango-view/Makefile.am         |   13 +-
 pango-view/viewer-pangox.c     |  122 ---
 pango/Makefile.am              |   56 +-
 pango/pangox-fontcache.c       |  249 ------
 pango/pangox-fontmap.c         | 1628
 ------------------------------------
 pango/pangox-private.h         |  127 ---
 pango/pangox.aliases           |  220 -----
 pango/pangox.c                 | 1790
 ----------------------------------------
 pango/pangox.def               |   36 -
 pango/pangox.h                 |  152 ----
 pango/pangox.rc.in             |   30 -
 pangox.pc.in                   |   11 -
 23 files changed, 9 insertions(+), 5268 deletions(-)

commit 8168660e5f1906aed2a45d30529058f51473bcef
Merge: feff5a6 656d473
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 16 20:51:57 2012 -0400

    Merge branch 'harfbuzz-ng-external'

    Conflicts:
	configure.in
	docs/tmpl/text-attributes.sgml
	modules/arabic/arabic-ot.c
	modules/indic/indic-ot.c
	pango/opentype/Makefile.am
	pango/opentype/hb-blob.c
	pango/opentype/hb-buffer-private.h
	pango/opentype/hb-common.h
	pango/opentype/hb-ot-layout-gsubgpos-private.hh
